/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2021 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.ionicons;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum Ionicons implements Ikon {
    // latest is uf30c
    ION_ALERT("ion-alert", '\uf101'),
    ION_ALERT_CIRCLED("ion-alert-circled", '\uf100'),
    ION_ANDROID_ADD("ion-android-add", '\uf2c7'),
    ION_ANDROID_ADD_CIRCLE("ion-android-add-circle", '\uf359'),
    ION_ANDROID_ALARM_CLOCK("ion-android-alarm-clock", '\uf35a'),
    ION_ANDROID_ALERT("ion-android-alert", '\uf35b'),
    ION_ANDROID_APPS("ion-android-apps", '\uf35c'),
    ION_ANDROID_ARCHIVE("ion-android-archive", '\uf2c9'),
    ION_ANDROID_ARROW_BACK("ion-android-arrow-back", '\uf2ca'),
    ION_ANDROID_ARROW_DOWN("ion-android-arrow-down", '\uf35d'),
    ION_ANDROID_ARROW_DROPDOWN("ion-android-arrow-dropdown", '\uf35f'),
    ION_ANDROID_ARROW_DROPDOWN_CIRCLE("ion-android-arrow-dropdown-circle", '\uf35e'),
    ION_ANDROID_ARROW_DROPLEFT("ion-android-arrow-dropleft", '\uf361'),
    ION_ANDROID_ARROW_DROPLEFT_CIRCLE("ion-android-arrow-dropleft-circle", '\uf360'),
    ION_ANDROID_ARROW_DROPRIGHT("ion-android-arrow-dropright", '\uf363'),
    ION_ANDROID_ARROW_DROPRIGHT_CIRCLE("ion-android-arrow-dropright-circle", '\uf362'),
    ION_ANDROID_ARROW_DROPUP("ion-android-arrow-dropup", '\uf365'),
    ION_ANDROID_ARROW_DROPUP_CIRCLE("ion-android-arrow-dropup-circle", '\uf364'),
    ION_ANDROID_ARROW_FORWARD("ion-android-arrow-forward", '\uf30f'),
    ION_ANDROID_ARROW_UP("ion-android-arrow-up", '\uf366'),
    ION_ANDROID_ATTACH("ion-android-attach", '\uf367'),
    ION_ANDROID_BAR("ion-android-bar", '\uf368'),
    ION_ANDROID_BICYCLE("ion-android-bicycle", '\uf369'),
    ION_ANDROID_BOAT("ion-android-boat", '\uf36a'),
    ION_ANDROID_BOOKMARK("ion-android-bookmark", '\uf36b'),
    ION_ANDROID_BULB("ion-android-bulb", '\uf36c'),
    ION_ANDROID_BUS("ion-android-bus", '\uf36d'),
    ION_ANDROID_CALENDAR("ion-android-calendar", '\uf2d1'),
    ION_ANDROID_CALL("ion-android-call", '\uf2d2'),
    ION_ANDROID_CAMERA("ion-android-camera", '\uf2d3'),
    ION_ANDROID_CANCEL("ion-android-cancel", '\uf36e'),
    ION_ANDROID_CAR("ion-android-car", '\uf36f'),
    ION_ANDROID_CART("ion-android-cart", '\uf370'),
    ION_ANDROID_CHAT("ion-android-chat", '\uf2d4'),
    ION_ANDROID_CHECKBOX("ion-android-checkbox", '\uf374'),
    ION_ANDROID_CHECKBOX_BLANK("ion-android-checkbox-blank", '\uf371'),
    ION_ANDROID_CHECKBOX_OUTLINE("ion-android-checkbox-outline", '\uf373'),
    ION_ANDROID_CHECKBOX_OUTLINE_BLANK("ion-android-checkbox-outline-blank", '\uf372'),
    ION_ANDROID_CHECKMARK_CIRCLE("ion-android-checkmark-circle", '\uf375'),
    ION_ANDROID_CLIPBOARD("ion-android-clipboard", '\uf376'),
    ION_ANDROID_CLOSE("ion-android-close", '\uf2d7'),
    ION_ANDROID_CLOUD("ion-android-cloud", '\uf37a'),
    ION_ANDROID_CLOUD_CIRCLE("ion-android-cloud-circle", '\uf377'),
    ION_ANDROID_CLOUD_DONE("ion-android-cloud-done", '\uf378'),
    ION_ANDROID_CLOUD_OUTLINE("ion-android-cloud-outline", '\uf379'),
    ION_ANDROID_COLOR_PALETTE("ion-android-color-palette", '\uf37b'),
    ION_ANDROID_COMPASS("ion-android-compass", '\uf37c'),
    ION_ANDROID_CONTACT("ion-android-contact", '\uf2d8'),
    ION_ANDROID_CONTACTS("ion-android-contacts", '\uf2d9'),
    ION_ANDROID_CONTRACT("ion-android-contract", '\uf37d'),
    ION_ANDROID_CREATE("ion-android-create", '\uf37e'),
    ION_ANDROID_DELETE("ion-android-delete", '\uf37f'),
    ION_ANDROID_DESKTOP("ion-android-desktop", '\uf380'),
    ION_ANDROID_DOCUMENT("ion-android-document", '\uf381'),
    ION_ANDROID_DONE("ion-android-done", '\uf383'),
    ION_ANDROID_DONE_ALL("ion-android-done-all", '\uf382'),
    ION_ANDROID_DOWNLOAD("ion-android-download", '\uf2dd'),
    ION_ANDROID_DRAFTS("ion-android-drafts", '\uf384'),
    ION_ANDROID_EXIT("ion-android-exit", '\uf385'),
    ION_ANDROID_EXPAND("ion-android-expand", '\uf386'),
    ION_ANDROID_FAVORITE("ion-android-favorite", '\uf388'),
    ION_ANDROID_FAVORITE_OUTLINE("ion-android-favorite-outline", '\uf387'),
    ION_ANDROID_FILM("ion-android-film", '\uf389'),
    ION_ANDROID_FOLDER("ion-android-folder", '\uf2e0'),
    ION_ANDROID_FOLDER_OPEN("ion-android-folder-open", '\uf38a'),
    ION_ANDROID_FUNNEL("ion-android-funnel", '\uf38b'),
    ION_ANDROID_GLOBE("ion-android-globe", '\uf38c'),
    ION_ANDROID_HAND("ion-android-hand", '\uf2e3'),
    ION_ANDROID_HANGOUT("ion-android-hangout", '\uf38d'),
    ION_ANDROID_HAPPY("ion-android-happy", '\uf38e'),
    ION_ANDROID_HOME("ion-android-home", '\uf38f'),
    ION_ANDROID_IMAGE("ion-android-image", '\uf2e4'),
    ION_ANDROID_LAPTOP("ion-android-laptop", '\uf390'),
    ION_ANDROID_LIST("ion-android-list", '\uf391'),
    ION_ANDROID_LOCATE("ion-android-locate", '\uf2e9'),
    ION_ANDROID_LOCK("ion-android-lock", '\uf392'),
    ION_ANDROID_MAIL("ion-android-mail", '\uf2eb'),
    ION_ANDROID_MAP("ion-android-map", '\uf393'),
    ION_ANDROID_MENU("ion-android-menu", '\uf394'),
    ION_ANDROID_MICROPHONE("ion-android-microphone", '\uf2ec'),
    ION_ANDROID_MICROPHONE_OFF("ion-android-microphone-off", '\uf395'),
    ION_ANDROID_MORE_HORIZONTAL("ion-android-more-horizontal", '\uf396'),
    ION_ANDROID_MORE_VERTICAL("ion-android-more-vertical", '\uf397'),
    ION_ANDROID_NAVIGATE("ion-android-navigate", '\uf398'),
    ION_ANDROID_NOTIFICATIONS("ion-android-notifications", '\uf39b'),
    ION_ANDROID_NOTIFICATIONS_NONE("ion-android-notifications-none", '\uf399'),
    ION_ANDROID_NOTIFICATIONS_OFF("ion-android-notifications-off", '\uf39a'),
    ION_ANDROID_OPEN("ion-android-open", '\uf39c'),
    ION_ANDROID_OPTIONS("ion-android-options", '\uf39d'),
    ION_ANDROID_PEOPLE("ion-android-people", '\uf39e'),
    ION_ANDROID_PERSON("ion-android-person", '\uf3a0'),
    ION_ANDROID_PERSON_ADD("ion-android-person-add", '\uf39f'),
    ION_ANDROID_PHONE_LANDSCAPE("ion-android-phone-landscape", '\uf3a1'),
    ION_ANDROID_PHONE_PORTRAIT("ion-android-phone-portrait", '\uf3a2'),
    ION_ANDROID_PIN("ion-android-pin", '\uf3a3'),
    ION_ANDROID_PLANE("ion-android-plane", '\uf3a4'),
    ION_ANDROID_PLAYSTORE("ion-android-playstore", '\uf2f0'),
    ION_ANDROID_PRINT("ion-android-print", '\uf3a5'),
    ION_ANDROID_RADIO_BUTTON_OFF("ion-android-radio-button-off", '\uf3a6'),
    ION_ANDROID_RADIO_BUTTON_ON("ion-android-radio-button-on", '\uf3a7'),
    ION_ANDROID_REFRESH("ion-android-refresh", '\uf3a8'),
    ION_ANDROID_REMOVE("ion-android-remove", '\uf2f4'),
    ION_ANDROID_REMOVE_CIRCLE("ion-android-remove-circle", '\uf3a9'),
    ION_ANDROID_RESTAURANT("ion-android-restaurant", '\uf3aa'),
    ION_ANDROID_SAD("ion-android-sad", '\uf3ab'),
    ION_ANDROID_SEARCH("ion-android-search", '\uf2f5'),
    ION_ANDROID_SEND("ion-android-send", '\uf2f6'),
    ION_ANDROID_SETTINGS("ion-android-settings", '\uf2f7'),
    ION_ANDROID_SHARE("ion-android-share", '\uf2f8'),
    ION_ANDROID_SHARE_ALT("ion-android-share-alt", '\uf3ac'),
    ION_ANDROID_STAR("ion-android-star", '\uf2fc'),
    ION_ANDROID_STAR_HALF("ion-android-star-half", '\uf3ad'),
    ION_ANDROID_STAR_OUTLINE("ion-android-star-outline", '\uf3ae'),
    ION_ANDROID_STOPWATCH("ion-android-stopwatch", '\uf2fd'),
    ION_ANDROID_SUBWAY("ion-android-subway", '\uf3af'),
    ION_ANDROID_SUNNY("ion-android-sunny", '\uf3b0'),
    ION_ANDROID_SYNC("ion-android-sync", '\uf3b1'),
    ION_ANDROID_TEXTSMS("ion-android-textsms", '\uf3b2'),
    ION_ANDROID_TIME("ion-android-time", '\uf3b3'),
    ION_ANDROID_TRAIN("ion-android-train", '\uf3b4'),
    ION_ANDROID_UNLOCK("ion-android-unlock", '\uf3b5'),
    ION_ANDROID_UPLOAD("ion-android-upload", '\uf3b6'),
    ION_ANDROID_VOLUME_DOWN("ion-android-volume-down", '\uf3b7'),
    ION_ANDROID_VOLUME_MUTE("ion-android-volume-mute", '\uf3b8'),
    ION_ANDROID_VOLUME_OFF("ion-android-volume-off", '\uf3b9'),
    ION_ANDROID_VOLUME_UP("ion-android-volume-up", '\uf3ba'),
    ION_ANDROID_WALK("ion-android-walk", '\uf3bb'),
    ION_ANDROID_WARNING("ion-android-warning", '\uf3bc'),
    ION_ANDROID_WATCH("ion-android-watch", '\uf3bd'),
    ION_ANDROID_WIFI("ion-android-wifi", '\uf305'),
    ION_APERTURE("ion-aperture", '\uf313'),
    ION_ARCHIVE("ion-archive", '\uf102'),
    ION_ARROW_DOWN_A("ion-arrow-down-a", '\uf103'),
    ION_ARROW_DOWN_B("ion-arrow-down-b", '\uf104'),
    ION_ARROW_DOWN_C("ion-arrow-down-c", '\uf105'),
    ION_ARROW_EXPAND("ion-arrow-expand", '\uf25e'),
    ION_ARROW_GRAPH_DOWN_LEFT("ion-arrow-graph-down-left", '\uf25f'),
    ION_ARROW_GRAPH_DOWN_RIGHT("ion-arrow-graph-down-right", '\uf260'),
    ION_ARROW_GRAPH_UP_LEFT("ion-arrow-graph-up-left", '\uf261'),
    ION_ARROW_GRAPH_UP_RIGHT("ion-arrow-graph-up-right", '\uf262'),
    ION_ARROW_LEFT_A("ion-arrow-left-a", '\uf106'),
    ION_ARROW_LEFT_B("ion-arrow-left-b", '\uf107'),
    ION_ARROW_LEFT_C("ion-arrow-left-c", '\uf108'),
    ION_ARROW_MOVE("ion-arrow-move", '\uf263'),
    ION_ARROW_RESIZE("ion-arrow-resize", '\uf264'),
    ION_ARROW_RETURN_LEFT("ion-arrow-return-left", '\uf265'),
    ION_ARROW_RETURN_RIGHT("ion-arrow-return-right", '\uf266'),
    ION_ARROW_RIGHT_A("ion-arrow-right-a", '\uf109'),
    ION_ARROW_RIGHT_B("ion-arrow-right-b", '\uf10a'),
    ION_ARROW_RIGHT_C("ion-arrow-right-c", '\uf10b'),
    ION_ARROW_SHRINK("ion-arrow-shrink", '\uf267'),
    ION_ARROW_SWAP("ion-arrow-swap", '\uf268'),
    ION_ARROW_UP_A("ion-arrow-up-a", '\uf10c'),
    ION_ARROW_UP_B("ion-arrow-up-b", '\uf10d'),
    ION_ARROW_UP_C("ion-arrow-up-c", '\uf10e'),
    ION_ASTERISK("ion-asterisk", '\uf314'),
    ION_AT("ion-at", '\uf10f'),
    ION_BACKSPACE("ion-backspace", '\uf3bf'),
    ION_BACKSPACE_OUTLINE("ion-backspace-outline", '\uf3be'),
    ION_BAG("ion-bag", '\uf110'),
    ION_BATTERY_CHARGING("ion-battery-charging", '\uf111'),
    ION_BATTERY_EMPTY("ion-battery-empty", '\uf112'),
    ION_BATTERY_FULL("ion-battery-full", '\uf113'),
    ION_BATTERY_HALF("ion-battery-half", '\uf114'),
    ION_BATTERY_LOW("ion-battery-low", '\uf115'),
    ION_BEAKER("ion-beaker", '\uf269'),
    ION_BEER("ion-beer", '\uf26a'),
    ION_BLUETOOTH("ion-bluetooth", '\uf116'),
    ION_BONFIRE("ion-bonfire", '\uf315'),
    ION_BOOKMARK("ion-bookmark", '\uf26b'),
    ION_BOWTIE("ion-bowtie", '\uf3c0'),
    ION_BRIEFCASE("ion-briefcase", '\uf26c'),
    ION_BUG("ion-bug", '\uf2be'),
    ION_CALCULATOR("ion-calculator", '\uf26d'),
    ION_CALENDAR("ion-calendar", '\uf117'),
    ION_CAMERA("ion-camera", '\uf118'),
    ION_CARD("ion-card", '\uf119'),
    ION_CASH("ion-cash", '\uf316'),
    ION_CHATBOX("ion-chatbox", '\uf11b'),
    ION_CHATBOXES("ion-chatboxes", '\uf11c'),
    ION_CHATBOX_WORKING("ion-chatbox-working", '\uf11a'),
    ION_CHATBUBBLE("ion-chatbubble", '\uf11e'),
    ION_CHATBUBBLES("ion-chatbubbles", '\uf11f'),
    ION_CHATBUBBLE_WORKING("ion-chatbubble-working", '\uf11d'),
    ION_CHECKMARK("ion-checkmark", '\uf122'),
    ION_CHECKMARK_CIRCLED("ion-checkmark-circled", '\uf120'),
    ION_CHECKMARK_ROUND("ion-checkmark-round", '\uf121'),
    ION_CHEVRON_DOWN("ion-chevron-down", '\uf123'),
    ION_CHEVRON_LEFT("ion-chevron-left", '\uf124'),
    ION_CHEVRON_RIGHT("ion-chevron-right", '\uf125'),
    ION_CHEVRON_UP("ion-chevron-up", '\uf126'),
    ION_CLIPBOARD("ion-clipboard", '\uf127'),
    ION_CLOCK("ion-clock", '\uf26e'),
    ION_CLOSE("ion-close", '\uf12a'),
    ION_CLOSED_CAPTIONING("ion-closed-captioning", '\uf317'),
    ION_CLOSE_CIRCLED("ion-close-circled", '\uf128'),
    ION_CLOSE_ROUND("ion-close-round", '\uf129'),
    ION_CLOUD("ion-cloud", '\uf12b'),
    ION_CODE("ion-code", '\uf271'),
    ION_CODE_DOWNLOAD("ion-code-download", '\uf26f'),
    ION_CODE_WORKING("ion-code-working", '\uf270'),
    ION_COFFEE("ion-coffee", '\uf272'),
    ION_COMPASS("ion-compass", '\uf273'),
    ION_COMPOSE("ion-compose", '\uf12c'),
    ION_CONNECTION_BARS("ion-connection-bars", '\uf274'),
    ION_CONTRAST("ion-contrast", '\uf275'),
    ION_CROP("ion-crop", '\uf3c1'),
    ION_CUBE("ion-cube", '\uf318'),
    ION_DISC("ion-disc", '\uf12d'),
    ION_DOCUMENT("ion-document", '\uf12f'),
    ION_DOCUMENT_TEXT("ion-document-text", '\uf12e'),
    ION_DRAG("ion-drag", '\uf130'),
    ION_EARTH("ion-earth", '\uf276'),
    ION_EASEL("ion-easel", '\uf3c2'),
    ION_EDIT("ion-edit", '\uf2bf'),
    ION_EGG("ion-egg", '\uf277'),
    ION_EJECT("ion-eject", '\uf131'),
    ION_EMAIL("ion-email", '\uf132'),
    ION_EMAIL_UNREAD("ion-email-unread", '\uf3c3'),
    ION_ERLENMEYER_FLASK("ion-erlenmeyer-flask", '\uf3c5'),
    ION_ERLENMEYER_FLASK_BUBBLES("ion-erlenmeyer-flask-bubbles", '\uf3c4'),
    ION_EYE("ion-eye", '\uf133'),
    ION_EYE_DISABLED("ion-eye-disabled", '\uf306'),
    ION_FEMALE("ion-female", '\uf278'),
    ION_FILING("ion-filing", '\uf134'),
    ION_FILM_MARKER("ion-film-marker", '\uf135'),
    ION_FIREBALL("ion-fireball", '\uf319'),
    ION_FLAG("ion-flag", '\uf279'),
    ION_FLAME("ion-flame", '\uf31a'),
    ION_FLASH("ion-flash", '\uf137'),
    ION_FLASH_OFF("ion-flash-off", '\uf136'),
    ION_FOLDER("ion-folder", '\uf139'),
    ION_FORK("ion-fork", '\uf27a'),
    ION_FORK_REPO("ion-fork-repo", '\uf2c0'),
    ION_FORWARD("ion-forward", '\uf13a'),
    ION_FUNNEL("ion-funnel", '\uf31b'),
    ION_GEAR_A("ion-gear-a", '\uf13d'),
    ION_GEAR_B("ion-gear-b", '\uf13e'),
    ION_GRID("ion-grid", '\uf13f'),
    ION_HAMMER("ion-hammer", '\uf27b'),
    ION_HAPPY("ion-happy", '\uf31c'),
    ION_HAPPY_OUTLINE("ion-happy-outline", '\uf3c6'),
    ION_HEADPHONE("ion-headphone", '\uf140'),
    ION_HEART("ion-heart", '\uf141'),
    ION_HEART_BROKEN("ion-heart-broken", '\uf31d'),
    ION_HELP("ion-help", '\uf143'),
    ION_HELP_BUOY("ion-help-buoy", '\uf27c'),
    ION_HELP_CIRCLED("ion-help-circled", '\uf142'),
    ION_HOME("ion-home", '\uf144'),
    ION_ICECREAM("ion-icecream", '\uf27d'),
    ION_IMAGE("ion-image", '\uf147'),
    ION_IMAGES("ion-images", '\uf148'),
    ION_INFORMATION("ion-information", '\uf14a'),
    ION_INFORMATION_CIRCLED("ion-information-circled", '\uf149'),
    ION_IONIC("ion-ionic", '\uf14b'),
    ION_IOS_ALARM("ion-ios-alarm", '\uf3c8'),
    ION_IOS_ALARM_OUTLINE("ion-ios-alarm-outline", '\uf3c7'),
    ION_IOS_ALBUMS("ion-ios-albums", '\uf3ca'),
    ION_IOS_ALBUMS_OUTLINE("ion-ios-albums-outline", '\uf3c9'),
    ION_IOS_AMERICANFOOTBALL("ion-ios-americanfootball", '\uf3cc'),
    ION_IOS_AMERICANFOOTBALL_OUTLINE("ion-ios-americanfootball-outline", '\uf3cb'),
    ION_IOS_ANALYTICS("ion-ios-analytics", '\uf3ce'),
    ION_IOS_ANALYTICS_OUTLINE("ion-ios-analytics-outline", '\uf3cd'),
    ION_IOS_ARROW_BACK("ion-ios-arrow-back", '\uf3cf'),
    ION_IOS_ARROW_DOWN("ion-ios-arrow-down", '\uf3d0'),
    ION_IOS_ARROW_FORWARD("ion-ios-arrow-forward", '\uf3d1'),
    ION_IOS_ARROW_LEFT("ion-ios-arrow-left", '\uf3d2'),
    ION_IOS_ARROW_RIGHT("ion-ios-arrow-right", '\uf3d3'),
    ION_IOS_ARROW_THIN_DOWN("ion-ios-arrow-thin-down", '\uf3d4'),
    ION_IOS_ARROW_THIN_LEFT("ion-ios-arrow-thin-left", '\uf3d5'),
    ION_IOS_ARROW_THIN_RIGHT("ion-ios-arrow-thin-right", '\uf3d6'),
    ION_IOS_ARROW_THIN_UP("ion-ios-arrow-thin-up", '\uf3d7'),
    ION_IOS_ARROW_UP("ion-ios-arrow-up", '\uf3d8'),
    ION_IOS_AT("ion-ios-at", '\uf3da'),
    ION_IOS_AT_OUTLINE("ion-ios-at-outline", '\uf3d9'),
    ION_IOS_BARCODE("ion-ios-barcode", '\uf3dc'),
    ION_IOS_BARCODE_OUTLINE("ion-ios-barcode-outline", '\uf3db'),
    ION_IOS_BASEBALL("ion-ios-baseball", '\uf3de'),
    ION_IOS_BASEBALL_OUTLINE("ion-ios-baseball-outline", '\uf3dd'),
    ION_IOS_BASKETBALL("ion-ios-basketball", '\uf3e0'),
    ION_IOS_BASKETBALL_OUTLINE("ion-ios-basketball-outline", '\uf3df'),
    ION_IOS_BELL("ion-ios-bell", '\uf3e2'),
    ION_IOS_BELL_OUTLINE("ion-ios-bell-outline", '\uf3e1'),
    ION_IOS_BODY("ion-ios-body", '\uf3e4'),
    ION_IOS_BODY_OUTLINE("ion-ios-body-outline", '\uf3e3'),
    ION_IOS_BOLT("ion-ios-bolt", '\uf3e6'),
    ION_IOS_BOLT_OUTLINE("ion-ios-bolt-outline", '\uf3e5'),
    ION_IOS_BOOK("ion-ios-book", '\uf3e8'),
    ION_IOS_BOOKMARKS("ion-ios-bookmarks", '\uf3ea'),
    ION_IOS_BOOKMARKS_OUTLINE("ion-ios-bookmarks-outline", '\uf3e9'),
    ION_IOS_BOOK_OUTLINE("ion-ios-book-outline", '\uf3e7'),
    ION_IOS_BOX("ion-ios-box", '\uf3ec'),
    ION_IOS_BOX_OUTLINE("ion-ios-box-outline", '\uf3eb'),
    ION_IOS_BRIEFCASE("ion-ios-briefcase", '\uf3ee'),
    ION_IOS_BRIEFCASE_OUTLINE("ion-ios-briefcase-outline", '\uf3ed'),
    ION_IOS_BROWSERS("ion-ios-browsers", '\uf3f0'),
    ION_IOS_BROWSERS_OUTLINE("ion-ios-browsers-outline", '\uf3ef'),
    ION_IOS_CALCULATOR("ion-ios-calculator", '\uf3f2'),
    ION_IOS_CALCULATOR_OUTLINE("ion-ios-calculator-outline", '\uf3f1'),
    ION_IOS_CALENDAR("ion-ios-calendar", '\uf3f4'),
    ION_IOS_CALENDAR_OUTLINE("ion-ios-calendar-outline", '\uf3f3'),
    ION_IOS_CAMERA("ion-ios-camera", '\uf3f6'),
    ION_IOS_CAMERA_OUTLINE("ion-ios-camera-outline", '\uf3f5'),
    ION_IOS_CART("ion-ios-cart", '\uf3f8'),
    ION_IOS_CART_OUTLINE("ion-ios-cart-outline", '\uf3f7'),
    ION_IOS_CHATBOXES("ion-ios-chatboxes", '\uf3fa'),
    ION_IOS_CHATBOXES_OUTLINE("ion-ios-chatboxes-outline", '\uf3f9'),
    ION_IOS_CHATBUBBLE("ion-ios-chatbubble", '\uf3fc'),
    ION_IOS_CHATBUBBLE_OUTLINE("ion-ios-chatbubble-outline", '\uf3fb'),
    ION_IOS_CHECKMARK("ion-ios-checkmark", '\uf3ff'),
    ION_IOS_CHECKMARK_EMPTY("ion-ios-checkmark-empty", '\uf3fd'),
    ION_IOS_CHECKMARK_OUTLINE("ion-ios-checkmark-outline", '\uf3fe'),
    ION_IOS_CIRCLE_FILLED("ion-ios-circle-filled", '\uf400'),
    ION_IOS_CIRCLE_OUTLINE("ion-ios-circle-outline", '\uf401'),
    ION_IOS_CLOCK("ion-ios-clock", '\uf403'),
    ION_IOS_CLOCK_OUTLINE("ion-ios-clock-outline", '\uf402'),
    ION_IOS_CLOSE("ion-ios-close", '\uf406'),
    ION_IOS_CLOSE_EMPTY("ion-ios-close-empty", '\uf404'),
    ION_IOS_CLOSE_OUTLINE("ion-ios-close-outline", '\uf405'),
    ION_IOS_CLOUD("ion-ios-cloud", '\uf40c'),
    ION_IOS_CLOUDY("ion-ios-cloudy", '\uf410'),
    ION_IOS_CLOUDY_NIGHT("ion-ios-cloudy-night", '\uf40e'),
    ION_IOS_CLOUDY_NIGHT_OUTLINE("ion-ios-cloudy-night-outline", '\uf40d'),
    ION_IOS_CLOUDY_OUTLINE("ion-ios-cloudy-outline", '\uf40f'),
    ION_IOS_CLOUD_DOWNLOAD("ion-ios-cloud-download", '\uf408'),
    ION_IOS_CLOUD_DOWNLOAD_OUTLINE("ion-ios-cloud-download-outline", '\uf407'),
    ION_IOS_CLOUD_OUTLINE("ion-ios-cloud-outline", '\uf409'),
    ION_IOS_CLOUD_UPLOAD("ion-ios-cloud-upload", '\uf40b'),
    ION_IOS_CLOUD_UPLOAD_OUTLINE("ion-ios-cloud-upload-outline", '\uf40a'),
    ION_IOS_COG("ion-ios-cog", '\uf412'),
    ION_IOS_COG_OUTLINE("ion-ios-cog-outline", '\uf411'),
    ION_IOS_COLOR_FILTER("ion-ios-color-filter", '\uf414'),
    ION_IOS_COLOR_FILTER_OUTLINE("ion-ios-color-filter-outline", '\uf413'),
    ION_IOS_COLOR_WAND("ion-ios-color-wand", '\uf416'),
    ION_IOS_COLOR_WAND_OUTLINE("ion-ios-color-wand-outline", '\uf415'),
    ION_IOS_COMPOSE("ion-ios-compose", '\uf418'),
    ION_IOS_COMPOSE_OUTLINE("ion-ios-compose-outline", '\uf417'),
    ION_IOS_CONTACT("ion-ios-contact", '\uf41a'),
    ION_IOS_CONTACT_OUTLINE("ion-ios-contact-outline", '\uf419'),
    ION_IOS_COPY("ion-ios-copy", '\uf41c'),
    ION_IOS_COPY_OUTLINE("ion-ios-copy-outline", '\uf41b'),
    ION_IOS_CROP("ion-ios-crop", '\uf41e'),
    ION_IOS_CROP_STRONG("ion-ios-crop-strong", '\uf41d'),
    ION_IOS_DOWNLOAD("ion-ios-download", '\uf420'),
    ION_IOS_DOWNLOAD_OUTLINE("ion-ios-download-outline", '\uf41f'),
    ION_IOS_DRAG("ion-ios-drag", '\uf421'),
    ION_IOS_EMAIL("ion-ios-email", '\uf423'),
    ION_IOS_EMAIL_OUTLINE("ion-ios-email-outline", '\uf422'),
    ION_IOS_EYE("ion-ios-eye", '\uf425'),
    ION_IOS_EYE_OUTLINE("ion-ios-eye-outline", '\uf424'),
    ION_IOS_FASTFORWARD("ion-ios-fastforward", '\uf427'),
    ION_IOS_FASTFORWARD_OUTLINE("ion-ios-fastforward-outline", '\uf426'),
    ION_IOS_FILING("ion-ios-filing", '\uf429'),
    ION_IOS_FILING_OUTLINE("ion-ios-filing-outline", '\uf428'),
    ION_IOS_FILM("ion-ios-film", '\uf42b'),
    ION_IOS_FILM_OUTLINE("ion-ios-film-outline", '\uf42a'),
    ION_IOS_FLAG("ion-ios-flag", '\uf42d'),
    ION_IOS_FLAG_OUTLINE("ion-ios-flag-outline", '\uf42c'),
    ION_IOS_FLAME("ion-ios-flame", '\uf42f'),
    ION_IOS_FLAME_OUTLINE("ion-ios-flame-outline", '\uf42e'),
    ION_IOS_FLASK("ion-ios-flask", '\uf431'),
    ION_IOS_FLASK_OUTLINE("ion-ios-flask-outline", '\uf430'),
    ION_IOS_FLOWER("ion-ios-flower", '\uf433'),
    ION_IOS_FLOWER_OUTLINE("ion-ios-flower-outline", '\uf432'),
    ION_IOS_FOLDER("ion-ios-folder", '\uf435'),
    ION_IOS_FOLDER_OUTLINE("ion-ios-folder-outline", '\uf434'),
    ION_IOS_FOOTBALL("ion-ios-football", '\uf437'),
    ION_IOS_FOOTBALL_OUTLINE("ion-ios-football-outline", '\uf436'),
    ION_IOS_GAME_CONTROLLER_A("ion-ios-game-controller-a", '\uf439'),
    ION_IOS_GAME_CONTROLLER_A_OUTLINE("ion-ios-game-controller-a-outline", '\uf438'),
    ION_IOS_GAME_CONTROLLER_B("ion-ios-game-controller-b", '\uf43b'),
    ION_IOS_GAME_CONTROLLER_B_OUTLINE("ion-ios-game-controller-b-outline", '\uf43a'),
    ION_IOS_GEAR("ion-ios-gear", '\uf43d'),
    ION_IOS_GEAR_OUTLINE("ion-ios-gear-outline", '\uf43c'),
    ION_IOS_GLASSES("ion-ios-glasses", '\uf43f'),
    ION_IOS_GLASSES_OUTLINE("ion-ios-glasses-outline", '\uf43e'),
    ION_IOS_GRID_VIEW("ion-ios-grid-view", '\uf441'),
    ION_IOS_GRID_VIEW_OUTLINE("ion-ios-grid-view-outline", '\uf440'),
    ION_IOS_HEART("ion-ios-heart", '\uf443'),
    ION_IOS_HEART_OUTLINE("ion-ios-heart-outline", '\uf442'),
    ION_IOS_HELP("ion-ios-help", '\uf446'),
    ION_IOS_HELP_EMPTY("ion-ios-help-empty", '\uf444'),
    ION_IOS_HELP_OUTLINE("ion-ios-help-outline", '\uf445'),
    ION_IOS_HOME("ion-ios-home", '\uf448'),
    ION_IOS_HOME_OUTLINE("ion-ios-home-outline", '\uf447'),
    ION_IOS_INFINITE("ion-ios-infinite", '\uf44a'),
    ION_IOS_INFINITE_OUTLINE("ion-ios-infinite-outline", '\uf449'),
    ION_IOS_INFORMATION("ion-ios-information", '\uf44d'),
    ION_IOS_INFORMATION_EMPTY("ion-ios-information-empty", '\uf44b'),
    ION_IOS_INFORMATION_OUTLINE("ion-ios-information-outline", '\uf44c'),
    ION_IOS_IONIC_OUTLINE("ion-ios-ionic-outline", '\uf44e'),
    ION_IOS_KEYPAD("ion-ios-keypad", '\uf450'),
    ION_IOS_KEYPAD_OUTLINE("ion-ios-keypad-outline", '\uf44f'),
    ION_IOS_LIGHTBULB("ion-ios-lightbulb", '\uf452'),
    ION_IOS_LIGHTBULB_OUTLINE("ion-ios-lightbulb-outline", '\uf451'),
    ION_IOS_LIST("ion-ios-list", '\uf454'),
    ION_IOS_LIST_OUTLINE("ion-ios-list-outline", '\uf453'),
    ION_IOS_LOCATION("ion-ios-location", '\uf456'),
    ION_IOS_LOCATION_OUTLINE("ion-ios-location-outline", '\uf455'),
    ION_IOS_LOCKED("ion-ios-locked", '\uf458'),
    ION_IOS_LOCKED_OUTLINE("ion-ios-locked-outline", '\uf457'),
    ION_IOS_LOOP("ion-ios-loop", '\uf45a'),
    ION_IOS_LOOP_STRONG("ion-ios-loop-strong", '\uf459'),
    ION_IOS_MEDICAL("ion-ios-medical", '\uf45c'),
    ION_IOS_MEDICAL_OUTLINE("ion-ios-medical-outline", '\uf45b'),
    ION_IOS_MEDKIT("ion-ios-medkit", '\uf45e'),
    ION_IOS_MEDKIT_OUTLINE("ion-ios-medkit-outline", '\uf45d'),
    ION_IOS_MIC("ion-ios-mic", '\uf461'),
    ION_IOS_MIC_OFF("ion-ios-mic-off", '\uf45f'),
    ION_IOS_MIC_OUTLINE("ion-ios-mic-outline", '\uf460'),
    ION_IOS_MINUS("ion-ios-minus", '\uf464'),
    ION_IOS_MINUS_EMPTY("ion-ios-minus-empty", '\uf462'),
    ION_IOS_MINUS_OUTLINE("ion-ios-minus-outline", '\uf463'),
    ION_IOS_MONITOR("ion-ios-monitor", '\uf466'),
    ION_IOS_MONITOR_OUTLINE("ion-ios-monitor-outline", '\uf465'),
    ION_IOS_MOON("ion-ios-moon", '\uf468'),
    ION_IOS_MOON_OUTLINE("ion-ios-moon-outline", '\uf467'),
    ION_IOS_MORE("ion-ios-more", '\uf46a'),
    ION_IOS_MORE_OUTLINE("ion-ios-more-outline", '\uf469'),
    ION_IOS_MUSICAL_NOTE("ion-ios-musical-note", '\uf46b'),
    ION_IOS_MUSICAL_NOTES("ion-ios-musical-notes", '\uf46c'),
    ION_IOS_NAVIGATE("ion-ios-navigate", '\uf46e'),
    ION_IOS_NAVIGATE_OUTLINE("ion-ios-navigate-outline", '\uf46d'),
    ION_IOS_NUTRITION("ion-ios-nutrition", '\uf470'),
    ION_IOS_NUTRITION_OUTLINE("ion-ios-nutrition-outline", '\uf46f'),
    ION_IOS_PAPER("ion-ios-paper", '\uf472'),
    ION_IOS_PAPERPLANE("ion-ios-paperplane", '\uf474'),
    ION_IOS_PAPERPLANE_OUTLINE("ion-ios-paperplane-outline", '\uf473'),
    ION_IOS_PAPER_OUTLINE("ion-ios-paper-outline", '\uf471'),
    ION_IOS_PARTLYSUNNY("ion-ios-partlysunny", '\uf476'),
    ION_IOS_PARTLYSUNNY_OUTLINE("ion-ios-partlysunny-outline", '\uf475'),
    ION_IOS_PAUSE("ion-ios-pause", '\uf478'),
    ION_IOS_PAUSE_OUTLINE("ion-ios-pause-outline", '\uf477'),
    ION_IOS_PAW("ion-ios-paw", '\uf47a'),
    ION_IOS_PAW_OUTLINE("ion-ios-paw-outline", '\uf479'),
    ION_IOS_PEOPLE("ion-ios-people", '\uf47c'),
    ION_IOS_PEOPLE_OUTLINE("ion-ios-people-outline", '\uf47b'),
    ION_IOS_PERSON("ion-ios-person", '\uf47e'),
    ION_IOS_PERSONADD("ion-ios-personadd", '\uf480'),
    ION_IOS_PERSONADD_OUTLINE("ion-ios-personadd-outline", '\uf47f'),
    ION_IOS_PERSON_OUTLINE("ion-ios-person-outline", '\uf47d'),
    ION_IOS_PHOTOS("ion-ios-photos", '\uf482'),
    ION_IOS_PHOTOS_OUTLINE("ion-ios-photos-outline", '\uf481'),
    ION_IOS_PIE("ion-ios-pie", '\uf484'),
    ION_IOS_PIE_OUTLINE("ion-ios-pie-outline", '\uf483'),
    ION_IOS_PINT("ion-ios-pint", '\uf486'),
    ION_IOS_PINT_OUTLINE("ion-ios-pint-outline", '\uf485'),
    ION_IOS_PLAY("ion-ios-play", '\uf488'),
    ION_IOS_PLAY_OUTLINE("ion-ios-play-outline", '\uf487'),
    ION_IOS_PLUS("ion-ios-plus", '\uf48b'),
    ION_IOS_PLUS_EMPTY("ion-ios-plus-empty", '\uf489'),
    ION_IOS_PLUS_OUTLINE("ion-ios-plus-outline", '\uf48a'),
    ION_IOS_PRICETAG("ion-ios-pricetag", '\uf48d'),
    ION_IOS_PRICETAGS("ion-ios-pricetags", '\uf48f'),
    ION_IOS_PRICETAGS_OUTLINE("ion-ios-pricetags-outline", '\uf48e'),
    ION_IOS_PRICETAG_OUTLINE("ion-ios-pricetag-outline", '\uf48c'),
    ION_IOS_PRINTER("ion-ios-printer", '\uf491'),
    ION_IOS_PRINTER_OUTLINE("ion-ios-printer-outline", '\uf490'),
    ION_IOS_PULSE("ion-ios-pulse", '\uf493'),
    ION_IOS_PULSE_STRONG("ion-ios-pulse-strong", '\uf492'),
    ION_IOS_RAINY("ion-ios-rainy", '\uf495'),
    ION_IOS_RAINY_OUTLINE("ion-ios-rainy-outline", '\uf494'),
    ION_IOS_RECORDING("ion-ios-recording", '\uf497'),
    ION_IOS_RECORDING_OUTLINE("ion-ios-recording-outline", '\uf496'),
    ION_IOS_REDO("ion-ios-redo", '\uf499'),
    ION_IOS_REDO_OUTLINE("ion-ios-redo-outline", '\uf498'),
    ION_IOS_REFRESH("ion-ios-refresh", '\uf49c'),
    ION_IOS_REFRESH_EMPTY("ion-ios-refresh-empty", '\uf49a'),
    ION_IOS_REFRESH_OUTLINE("ion-ios-refresh-outline", '\uf49b'),
    ION_IOS_RELOAD("ion-ios-reload", '\uf49d'),
    ION_IOS_REVERSE_CAMERA("ion-ios-reverse-camera", '\uf49f'),
    ION_IOS_REVERSE_CAMERA_OUTLINE("ion-ios-reverse-camera-outline", '\uf49e'),
    ION_IOS_REWIND("ion-ios-rewind", '\uf4a1'),
    ION_IOS_REWIND_OUTLINE("ion-ios-rewind-outline", '\uf4a0'),
    ION_IOS_ROSE("ion-ios-rose", '\uf4a3'),
    ION_IOS_ROSE_OUTLINE("ion-ios-rose-outline", '\uf4a2'),
    ION_IOS_SEARCH("ion-ios-search", '\uf4a5'),
    ION_IOS_SEARCH_STRONG("ion-ios-search-strong", '\uf4a4'),
    ION_IOS_SETTINGS("ion-ios-settings", '\uf4a7'),
    ION_IOS_SETTINGS_STRONG("ion-ios-settings-strong", '\uf4a6'),
    ION_IOS_SHUFFLE("ion-ios-shuffle", '\uf4a9'),
    ION_IOS_SHUFFLE_STRONG("ion-ios-shuffle-strong", '\uf4a8'),
    ION_IOS_SKIPBACKWARD("ion-ios-skipbackward", '\uf4ab'),
    ION_IOS_SKIPBACKWARD_OUTLINE("ion-ios-skipbackward-outline", '\uf4aa'),
    ION_IOS_SKIPFORWARD("ion-ios-skipforward", '\uf4ad'),
    ION_IOS_SKIPFORWARD_OUTLINE("ion-ios-skipforward-outline", '\uf4ac'),
    ION_IOS_SNOWY("ion-ios-snowy", '\uf4ae'),
    ION_IOS_SPEEDOMETER("ion-ios-speedometer", '\uf4b0'),
    ION_IOS_SPEEDOMETER_OUTLINE("ion-ios-speedometer-outline", '\uf4af'),
    ION_IOS_STAR("ion-ios-star", '\uf4b3'),
    ION_IOS_STAR_HALF("ion-ios-star-half", '\uf4b1'),
    ION_IOS_STAR_OUTLINE("ion-ios-star-outline", '\uf4b2'),
    ION_IOS_STOPWATCH("ion-ios-stopwatch", '\uf4b5'),
    ION_IOS_STOPWATCH_OUTLINE("ion-ios-stopwatch-outline", '\uf4b4'),
    ION_IOS_SUNNY("ion-ios-sunny", '\uf4b7'),
    ION_IOS_SUNNY_OUTLINE("ion-ios-sunny-outline", '\uf4b6'),
    ION_IOS_TELEPHONE("ion-ios-telephone", '\uf4b9'),
    ION_IOS_TELEPHONE_OUTLINE("ion-ios-telephone-outline", '\uf4b8'),
    ION_IOS_TENNISBALL("ion-ios-tennisball", '\uf4bb'),
    ION_IOS_TENNISBALL_OUTLINE("ion-ios-tennisball-outline", '\uf4ba'),
    ION_IOS_THUNDERSTORM("ion-ios-thunderstorm", '\uf4bd'),
    ION_IOS_THUNDERSTORM_OUTLINE("ion-ios-thunderstorm-outline", '\uf4bc'),
    ION_IOS_TIME("ion-ios-time", '\uf4bf'),
    ION_IOS_TIMER("ion-ios-timer", '\uf4c1'),
    ION_IOS_TIMER_OUTLINE("ion-ios-timer-outline", '\uf4c0'),
    ION_IOS_TIME_OUTLINE("ion-ios-time-outline", '\uf4be'),
    ION_IOS_TOGGLE("ion-ios-toggle", '\uf4c3'),
    ION_IOS_TOGGLE_OUTLINE("ion-ios-toggle-outline", '\uf4c2'),
    ION_IOS_TRASH("ion-ios-trash", '\uf4c5'),
    ION_IOS_TRASH_OUTLINE("ion-ios-trash-outline", '\uf4c4'),
    ION_IOS_UNDO("ion-ios-undo", '\uf4c7'),
    ION_IOS_UNDO_OUTLINE("ion-ios-undo-outline", '\uf4c6'),
    ION_IOS_UNLOCKED("ion-ios-unlocked", '\uf4c9'),
    ION_IOS_UNLOCKED_OUTLINE("ion-ios-unlocked-outline", '\uf4c8'),
    ION_IOS_UPLOAD("ion-ios-upload", '\uf4cb'),
    ION_IOS_UPLOAD_OUTLINE("ion-ios-upload-outline", '\uf4ca'),
    ION_IOS_VIDEOCAM("ion-ios-videocam", '\uf4cd'),
    ION_IOS_VIDEOCAM_OUTLINE("ion-ios-videocam-outline", '\uf4cc'),
    ION_IOS_VOLUME_HIGH("ion-ios-volume-high", '\uf4ce'),
    ION_IOS_VOLUME_LOW("ion-ios-volume-low", '\uf4cf'),
    ION_IOS_WINEGLASS("ion-ios-wineglass", '\uf4d1'),
    ION_IOS_WINEGLASS_OUTLINE("ion-ios-wineglass-outline", '\uf4d0'),
    ION_IOS_WORLD("ion-ios-world", '\uf4d3'),
    ION_IOS_WORLD_OUTLINE("ion-ios-world-outline", '\uf4d2'),
    ION_IPAD("ion-ipad", '\uf1f9'),
    ION_IPHONE("ion-iphone", '\uf1fa'),
    ION_IPOD("ion-ipod", '\uf1fb'),
    ION_JET("ion-jet", '\uf295'),
    ION_KEY("ion-key", '\uf296'),
    ION_KNIFE("ion-knife", '\uf297'),
    ION_LAPTOP("ion-laptop", '\uf1fc'),
    ION_LEAF("ion-leaf", '\uf1fd'),
    ION_LEVELS("ion-levels", '\uf298'),
    ION_LIGHTBULB("ion-lightbulb", '\uf299'),
    ION_LINK("ion-link", '\uf1fe'),
    ION_LOAD_A("ion-load-a", '\uf29a'),
    ION_LOAD_B("ion-load-b", '\uf29b'),
    ION_LOAD_C("ion-load-c", '\uf29c'),
    ION_LOAD_D("ion-load-d", '\uf29d'),
    ION_LOCATION("ion-location", '\uf1ff'),
    ION_LOCKED("ion-locked", '\uf200'),
    ION_LOCK_COMBINATION("ion-lock-combination", '\uf4d4'),
    ION_LOG_IN("ion-log-in", '\uf29e'),
    ION_LOG_OUT("ion-log-out", '\uf29f'),
    ION_LOOP("ion-loop", '\uf201'),
    ION_MAGNET("ion-magnet", '\uf2a0'),
    ION_MALE("ion-male", '\uf2a1'),
    ION_MAN("ion-man", '\uf202'),
    ION_MAP("ion-map", '\uf203'),
    ION_MEDKIT("ion-medkit", '\uf2a2'),
    ION_MERGE("ion-merge", '\uf33f'),
    ION_MIC_A("ion-mic-a", '\uf204'),
    ION_MIC_B("ion-mic-b", '\uf205'),
    ION_MIC_C("ion-mic-c", '\uf206'),
    ION_MINUS("ion-minus", '\uf209'),
    ION_MINUS_CIRCLED("ion-minus-circled", '\uf207'),
    ION_MINUS_ROUND("ion-minus-round", '\uf208'),
    ION_MODEL_S("ion-model-s", '\uf2c1'),
    ION_MONITOR("ion-monitor", '\uf20a'),
    ION_MORE("ion-more", '\uf20b'),
    ION_MOUSE("ion-mouse", '\uf340'),
    ION_MUSIC_NOTE("ion-music-note", '\uf20c'),
    ION_NAVICON("ion-navicon", '\uf20e'),
    ION_NAVICON_ROUND("ion-navicon-round", '\uf20d'),
    ION_NAVIGATE("ion-navigate", '\uf2a3'),
    ION_NETWORK("ion-network", '\uf341'),
    ION_NO_SMOKING("ion-no-smoking", '\uf2c2'),
    ION_NUCLEAR("ion-nuclear", '\uf2a4'),
    ION_OUTLET("ion-outlet", '\uf342'),
    ION_PAINTBRUSH("ion-paintbrush", '\uf4d5'),
    ION_PAINTBUCKET("ion-paintbucket", '\uf4d6'),
    ION_PAPERCLIP("ion-paperclip", '\uf20f'),
    ION_PAPER_AIRPLANE("ion-paper-airplane", '\uf2c3'),
    ION_PAUSE("ion-pause", '\uf210'),
    ION_PERSON("ion-person", '\uf213'),
    ION_PERSON_ADD("ion-person-add", '\uf211'),
    ION_PERSON_STALKER("ion-person-stalker", '\uf212'),
    ION_PIE_GRAPH("ion-pie-graph", '\uf2a5'),
    ION_PIN("ion-pin", '\uf2a6'),
    ION_PINPOINT("ion-pinpoint", '\uf2a7'),
    ION_PIZZA("ion-pizza", '\uf2a8'),
    ION_PLANE("ion-plane", '\uf214'),
    ION_PLANET("ion-planet", '\uf343'),
    ION_PLAY("ion-play", '\uf215'),
    ION_PLAYSTATION("ion-playstation", '\uf30a'),
    ION_PLUS("ion-plus", '\uf218'),
    ION_PLUS_CIRCLED("ion-plus-circled", '\uf216'),
    ION_PLUS_ROUND("ion-plus-round", '\uf217'),
    ION_PODIUM("ion-podium", '\uf344'),
    ION_POUND("ion-pound", '\uf219'),
    ION_POWER("ion-power", '\uf2a9'),
    ION_PRICETAG("ion-pricetag", '\uf2aa'),
    ION_PRICETAGS("ion-pricetags", '\uf2ab'),
    ION_PRINTER("ion-printer", '\uf21a'),
    ION_PULL_REQUEST("ion-pull-request", '\uf345'),
    ION_QR_SCANNER("ion-qr-scanner", '\uf346'),
    ION_QUOTE("ion-quote", '\uf347'),
    ION_RADIO_WAVES("ion-radio-waves", '\uf2ac'),
    ION_RECORD("ion-record", '\uf21b'),
    ION_REFRESH("ion-refresh", '\uf21c'),
    ION_REPLY("ion-reply", '\uf21e'),
    ION_REPLY_ALL("ion-reply-all", '\uf21d'),
    ION_RIBBON_A("ion-ribbon-a", '\uf348'),
    ION_RIBBON_B("ion-ribbon-b", '\uf349'),
    ION_SAD("ion-sad", '\uf34a'),
    ION_SAD_OUTLINE("ion-sad-outline", '\uf4d7'),
    ION_SCISSORS("ion-scissors", '\uf34b'),
    ION_SEARCH("ion-search", '\uf21f'),
    ION_SETTINGS("ion-settings", '\uf2ad'),
    ION_SHARE("ion-share", '\uf220'),
    ION_SHUFFLE("ion-shuffle", '\uf221'),
    ION_SKIP_BACKWARD("ion-skip-backward", '\uf222'),
    ION_SKIP_FORWARD("ion-skip-forward", '\uf223'),
    ION_SOCIAL_ANDROID("ion-social-android", '\uf225'),
    ION_SOCIAL_ANDROID_OUTLINE("ion-social-android-outline", '\uf224'),
    ION_SOCIAL_ANGULAR("ion-social-angular", '\uf4d9'),
    ION_SOCIAL_ANGULAR_OUTLINE("ion-social-angular-outline", '\uf4d8'),
    ION_SOCIAL_APPLE("ion-social-apple", '\uf227'),
    ION_SOCIAL_APPLE_OUTLINE("ion-social-apple-outline", '\uf226'),
    ION_SOCIAL_BITCOIN("ion-social-bitcoin", '\uf2af'),
    ION_SOCIAL_BITCOIN_OUTLINE("ion-social-bitcoin-outline", '\uf2ae'),
    ION_SOCIAL_BUFFER("ion-social-buffer", '\uf229'),
    ION_SOCIAL_BUFFER_OUTLINE("ion-social-buffer-outline", '\uf228'),
    ION_SOCIAL_CHROME("ion-social-chrome", '\uf4db'),
    ION_SOCIAL_CHROME_OUTLINE("ion-social-chrome-outline", '\uf4da'),
    ION_SOCIAL_CODEPEN("ion-social-codepen", '\uf4dd'),
    ION_SOCIAL_CODEPEN_OUTLINE("ion-social-codepen-outline", '\uf4dc'),
    ION_SOCIAL_CSS3("ion-social-css3", '\uf4df'),
    ION_SOCIAL_CSS3_OUTLINE("ion-social-css3-outline", '\uf4de'),
    ION_SOCIAL_DESIGNERNEWS("ion-social-designernews", '\uf22b'),
    ION_SOCIAL_DESIGNERNEWS_OUTLINE("ion-social-designernews-outline", '\uf22a'),
    ION_SOCIAL_DRIBBBLE("ion-social-dribbble", '\uf22d'),
    ION_SOCIAL_DRIBBBLE_OUTLINE("ion-social-dribbble-outline", '\uf22c'),
    ION_SOCIAL_DROPBOX("ion-social-dropbox", '\uf22f'),
    ION_SOCIAL_DROPBOX_OUTLINE("ion-social-dropbox-outline", '\uf22e'),
    ION_SOCIAL_EURO("ion-social-euro", '\uf4e1'),
    ION_SOCIAL_EURO_OUTLINE("ion-social-euro-outline", '\uf4e0'),
    ION_SOCIAL_FACEBOOK("ion-social-facebook", '\uf231'),
    ION_SOCIAL_FACEBOOK_OUTLINE("ion-social-facebook-outline", '\uf230'),
    ION_SOCIAL_FOURSQUARE("ion-social-foursquare", '\uf34d'),
    ION_SOCIAL_FOURSQUARE_OUTLINE("ion-social-foursquare-outline", '\uf34c'),
    ION_SOCIAL_FREEBSD_DEVIL("ion-social-freebsd-devil", '\uf2c4'),
    ION_SOCIAL_GITHUB("ion-social-github", '\uf233'),
    ION_SOCIAL_GITHUB_OUTLINE("ion-social-github-outline", '\uf232'),
    ION_SOCIAL_GOOGLE("ion-social-google", '\uf34f'),
    ION_SOCIAL_GOOGLEPLUS("ion-social-googleplus", '\uf235'),
    ION_SOCIAL_GOOGLEPLUS_OUTLINE("ion-social-googleplus-outline", '\uf234'),
    ION_SOCIAL_GOOGLE_OUTLINE("ion-social-google-outline", '\uf34e'),
    ION_SOCIAL_HACKERNEWS("ion-social-hackernews", '\uf237'),
    ION_SOCIAL_HACKERNEWS_OUTLINE("ion-social-hackernews-outline", '\uf236'),
    ION_SOCIAL_HTML5("ion-social-html5", '\uf4e3'),
    ION_SOCIAL_HTML5_OUTLINE("ion-social-html5-outline", '\uf4e2'),
    ION_SOCIAL_INSTAGRAM("ion-social-instagram", '\uf351'),
    ION_SOCIAL_INSTAGRAM_OUTLINE("ion-social-instagram-outline", '\uf350'),
    ION_SOCIAL_JAVASCRIPT("ion-social-javascript", '\uf4e5'),
    ION_SOCIAL_JAVASCRIPT_OUTLINE("ion-social-javascript-outline", '\uf4e4'),
    ION_SOCIAL_LINKEDIN("ion-social-linkedin", '\uf239'),
    ION_SOCIAL_LINKEDIN_OUTLINE("ion-social-linkedin-outline", '\uf238'),
    ION_SOCIAL_MARKDOWN("ion-social-markdown", '\uf4e6'),
    ION_SOCIAL_NODEJS("ion-social-nodejs", '\uf4e7'),
    ION_SOCIAL_OCTOCAT("ion-social-octocat", '\uf4e8'),
    ION_SOCIAL_PINTEREST("ion-social-pinterest", '\uf2b1'),
    ION_SOCIAL_PINTEREST_OUTLINE("ion-social-pinterest-outline", '\uf2b0'),
    ION_SOCIAL_PYTHON("ion-social-python", '\uf4e9'),
    ION_SOCIAL_REDDIT("ion-social-reddit", '\uf23b'),
    ION_SOCIAL_REDDIT_OUTLINE("ion-social-reddit-outline", '\uf23a'),
    ION_SOCIAL_RSS("ion-social-rss", '\uf23d'),
    ION_SOCIAL_RSS_OUTLINE("ion-social-rss-outline", '\uf23c'),
    ION_SOCIAL_SASS("ion-social-sass", '\uf4ea'),
    ION_SOCIAL_SKYPE("ion-social-skype", '\uf23f'),
    ION_SOCIAL_SKYPE_OUTLINE("ion-social-skype-outline", '\uf23e'),
    ION_SOCIAL_SNAPCHAT("ion-social-snapchat", '\uf4ec'),
    ION_SOCIAL_SNAPCHAT_OUTLINE("ion-social-snapchat-outline", '\uf4eb'),
    ION_SOCIAL_TUMBLR("ion-social-tumblr", '\uf241'),
    ION_SOCIAL_TUMBLR_OUTLINE("ion-social-tumblr-outline", '\uf240'),
    ION_SOCIAL_TUX("ion-social-tux", '\uf2c5'),
    ION_SOCIAL_TWITCH("ion-social-twitch", '\uf4ee'),
    ION_SOCIAL_TWITCH_OUTLINE("ion-social-twitch-outline", '\uf4ed'),
    ION_SOCIAL_TWITTER("ion-social-twitter", '\uf243'),
    ION_SOCIAL_TWITTER_OUTLINE("ion-social-twitter-outline", '\uf242'),
    ION_SOCIAL_USD("ion-social-usd", '\uf353'),
    ION_SOCIAL_USD_OUTLINE("ion-social-usd-outline", '\uf352'),
    ION_SOCIAL_VIMEO("ion-social-vimeo", '\uf245'),
    ION_SOCIAL_VIMEO_OUTLINE("ion-social-vimeo-outline", '\uf244'),
    ION_SOCIAL_WHATSAPP("ion-social-whatsapp", '\uf4f0'),
    ION_SOCIAL_WHATSAPP_OUTLINE("ion-social-whatsapp-outline", '\uf4ef'),
    ION_SOCIAL_WINDOWS("ion-social-windows", '\uf247'),
    ION_SOCIAL_WINDOWS_OUTLINE("ion-social-windows-outline", '\uf246'),
    ION_SOCIAL_WORDPRESS("ion-social-wordpress", '\uf249'),
    ION_SOCIAL_WORDPRESS_OUTLINE("ion-social-wordpress-outline", '\uf248'),
    ION_SOCIAL_YAHOO("ion-social-yahoo", '\uf24b'),
    ION_SOCIAL_YAHOO_OUTLINE("ion-social-yahoo-outline", '\uf24a'),
    ION_SOCIAL_YEN("ion-social-yen", '\uf4f2'),
    ION_SOCIAL_YEN_OUTLINE("ion-social-yen-outline", '\uf4f1'),
    ION_SOCIAL_YOUTUBE("ion-social-youtube", '\uf24d'),
    ION_SOCIAL_YOUTUBE_OUTLINE("ion-social-youtube-outline", '\uf24c'),
    ION_SOUP_CAN("ion-soup-can", '\uf4f4'),
    ION_SOUP_CAN_OUTLINE("ion-soup-can-outline", '\uf4f3'),
    ION_SPEAKERPHONE("ion-speakerphone", '\uf2b2'),
    ION_SPEEDOMETER("ion-speedometer", '\uf2b3'),
    ION_SPOON("ion-spoon", '\uf2b4'),
    ION_STAR("ion-star", '\uf24e'),
    ION_STATS_BARS("ion-stats-bars", '\uf2b5'),
    ION_STEAM("ion-steam", '\uf30b'),
    ION_STOP("ion-stop", '\uf24f'),
    ION_THERMOMETER("ion-thermometer", '\uf2b6'),
    ION_THUMBSDOWN("ion-thumbsdown", '\uf250'),
    ION_THUMBSUP("ion-thumbsup", '\uf251'),
    ION_TOGGLE("ion-toggle", '\uf355'),
    ION_TOGGLE_FILLED("ion-toggle-filled", '\uf354'),
    ION_TRANSGENDER("ion-transgender", '\uf4f5'),
    ION_TRASH_A("ion-trash-a", '\uf252'),
    ION_TRASH_B("ion-trash-b", '\uf253'),
    ION_TROPHY("ion-trophy", '\uf356'),
    ION_TSHIRT("ion-tshirt", '\uf4f7'),
    ION_TSHIRT_OUTLINE("ion-tshirt-outline", '\uf4f6'),
    ION_UMBRELLA("ion-umbrella", '\uf2b7'),
    ION_UNIVERSITY("ion-university", '\uf357'),
    ION_UNLOCKED("ion-unlocked", '\uf254'),
    ION_UPLOAD("ion-upload", '\uf255'),
    ION_USB("ion-usb", '\uf2b8'),
    ION_VIDEOCAMERA("ion-videocamera", '\uf256'),
    ION_VOLUME_HIGH("ion-volume-high", '\uf257'),
    ION_VOLUME_LOW("ion-volume-low", '\uf258'),
    ION_VOLUME_MEDIUM("ion-volume-medium", '\uf259'),
    ION_VOLUME_MUTE("ion-volume-mute", '\uf25a'),
    ION_WAND("ion-wand", '\uf358'),
    ION_WATERDROP("ion-waterdrop", '\uf25b'),
    ION_WIFI("ion-wifi", '\uf25c'),
    ION_WINEGLASS("ion-wineglass", '\uf2b9'),
    ION_WOMAN("ion-woman", '\uf25d'),
    ION_WRENCH("ion-wrench", '\uf2ba'),
    ION_XBOX("ion-xbox", '\uf30c');

    public static Ionicons findByDescription(String description) {
        for (Ionicons font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    Ionicons(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}