/*
 * SPDX-License-Identifier: Apache-2.0
 *
 * Copyright 2015-2021 Andres Almiray
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kordamp.ikonli.whhg;

import org.kordamp.ikonli.Ikon;

/**
 * @author Andres Almiray
 */
public enum WhhgAL implements Ikon {
    AAABATTERY("whhgal-aaabattery", '\uf413'),
    ABACUS("whhgal-abacus", '\uf261'),
    ACCOUNTFILTER("whhgal-accountfilter", '\uf05e'),
    ACORN("whhgal-acorn", '\uf643'),
    ACSOURCE("whhgal-acsource", '\uf3ea'),
    ADDALARM("whhgal-addalarm", '\uf67b'),
    ADDCOMMENT("whhgal-addcomment", '\uf74a'),
    ADDFOLDERALT("whhgal-addfolderalt", '\uf73c'),
    ADDFRIEND("whhgal-addfriend", '\uf3da'),
    ADDRESS("whhgal-address", '\uf08f'),
    ADDSHAPE("whhgal-addshape", '\uf1fd'),
    ADDTAGS("whhgal-addtags", '\uf551'),
    ADDTOCART("whhgal-addtocart", '\uf394'),
    ADDTOLIST("whhgal-addtolist", '\uf2ac'),
    ADDUSERALT("whhgal-adduseralt", '\uf5cf'),
    ADJUST("whhgal-adjust", '\uf484'),
    ADOBE("whhgal-adobe", '\uf1c9'),
    ADS_BILBOARD("whhgal-ads-bilboard", '\uf082'),
    AEF("whhgal-aef", '\uf58b'),
    AFFILIATE("whhgal-affiliate", '\uf01e'),
    AJAX("whhgal-ajax", '\uf06f'),
    ALARM("whhgal-alarm", '\uf233'),
    ALARMALT("whhgal-alarmalt", '\uf23d'),
    ALARMCLOCK("whhgal-alarmclock", '\uf67a'),
    ALBUM_COVER("whhgal-album-cover", '\uf19f'),
    ALERTALT("whhgal-alertalt", '\uf2b4'),
    ALERTPAY("whhgal-alertpay", '\uf269'),
    ALGORHYTHM("whhgal-algorhythm", '\uf0b8'),
    ALIENSHIP("whhgal-alienship", '\uf41f'),
    ALIENWARE("whhgal-alienware", '\uf3be'),
    ALIGNBOTTOMEDGE("whhgal-alignbottomedge", '\uf1d3'),
    ALIGNHORIZONTALCENTER("whhgal-alignhorizontalcenter", '\uf1d2'),
    ALIGNLEFTEDGE("whhgal-alignleftedge", '\uf1d6'),
    ALIGNRIGHTEDGE("whhgal-alignrightedge", '\uf1d5'),
    ALIGNTOPEDGE("whhgal-aligntopedge", '\uf1d4'),
    ALIGNVERTICALCENTER("whhgal-alignverticalcenter", '\uf1d1'),
    ALIGN_CENTER("whhgal-align-center", '\uf1d9'),
    ALIGN_JUSTIFY("whhgal-align-justify", '\uf1da'),
    ALIGN_LEFT("whhgal-align-left", '\uf1d7'),
    ALIGN_RIGHT("whhgal-align-right", '\uf1d8'),
    AMAZON("whhgal-amazon", '\uf527'),
    AMD("whhgal-amd", '\uf020'),
    ANALOGDOWN("whhgal-analogdown", '\uf2cb'),
    ANALOGLEFT("whhgal-analogleft", '\uf2c8'),
    ANALOGRIGHT("whhgal-analogright", '\uf2c9'),
    ANALOGUP("whhgal-analogup", '\uf2ca'),
    ANALYTICSALT_PIECHARTALT("whhgal-analyticsalt-piechartalt", '\uf001'),
    ANALYTICS_PIECHART("whhgal-analytics-piechart", '\uf000'),
    ANCHOR_PORT("whhgal-anchor-port", '\uf21d'),
    ANDROID("whhgal-android", '\uf12a'),
    ANGLE("whhgal-angle", '\uf641'),
    ANGRYBIRDS("whhgal-angrybirds", '\uf3c1'),
    ANTENNA("whhgal-antenna", '\uf3ec'),
    APACHE_FEATHER("whhgal-apache-feather", '\uf056'),
    APERTURE("whhgal-aperture", '\uf356'),
    APPLE("whhgal-apple", '\uf5df'),
    APPOINTMENT_AGENDA("whhgal-appointment-agenda", '\uf26c'),
    ARCH("whhgal-arch", '\uf635'),
    ARCHIVE("whhgal-archive", '\uf171'),
    ARCHLINUX("whhgal-archlinux", '\uf65d'),
    ARROW_DOWN("whhgal-arrow-down", '\uf2fe'),
    ARROW_LEFT("whhgal-arrow-left", '\uf305'),
    ARROW_RIGHT("whhgal-arrow-right", '\uf304'),
    ARROW_UP("whhgal-arrow-up", '\uf301'),
    ASTERISK("whhgal-asterisk", '\uf317'),
    ASTERISKALT("whhgal-asteriskalt", '\u002a'),
    ASTEROID("whhgal-asteroid", '\uf6e4'),
    ASTRONAUT("whhgal-astronaut", '\uf6e3'),
    AT("whhgal-at", '\u0040'),
    ATARI("whhgal-atari", '\uf3b9'),
    AUTHENTICATION_KEYALT("whhgal-authentication-keyalt", '\uf051'),
    AUTOFLASH("whhgal-autoflash", '\uf61e'),
    AUTOMOBILE_CAR("whhgal-automobile-car", '\uf239'),
    AUTORESPOND("whhgal-autorespond", '\uf08e'),
    AVATAR("whhgal-avatar", '\uf15a'),
    AVATARALT("whhgal-avataralt", '\uf161'),
    AVENGERS("whhgal-avengers", '\uf342'),
    AVOCADO("whhgal-avocado", '\uf633'),
    AWSTATS("whhgal-awstats", '\uf04c'),
    AXE("whhgal-axe", '\uf2ef'),
    BABY("whhgal-baby", '\uf7c9'),
    BACKUPALT_VAULTALT("whhgal-backupalt-vaultalt", '\uf005'),
    BACKUPWIZARD("whhgal-backupwizard", '\uf05f'),
    BACKUP_VAULT("whhgal-backup-vault", '\uf004'),
    BACKWARD("whhgal-backward", '\uf183'),
    BACON("whhgal-bacon", '\uf53a'),
    BAG("whhgal-bag", '\uf234'),
    BAIT("whhgal-bait", '\uf56c'),
    BALOON("whhgal-baloon", '\uf405'),
    BAMBOO("whhgal-bamboo", '\uf64a'),
    BANANA("whhgal-banana", '\uf3f4'),
    BANDWIDTH("whhgal-bandwidth", '\uf006'),
    BANK("whhgal-bank", '\uf262'),
    BANUSER("whhgal-banuser", '\uf5d2'),
    BANUSERALT("whhgal-banuseralt", '\uf5d1'),
    BAN_CIRCLE("whhgal-ban-circle", '\uf313'),
    BARCHART("whhgal-barchart", '\uf02f'),
    BARCHARTALT("whhgal-barchartalt", '\uf07d'),
    BARCHARTASC("whhgal-barchartasc", '\uf5eb'),
    BARCHARTDESC("whhgal-barchartdesc", '\uf5ec'),
    BARCODE("whhgal-barcode", '\uf276'),
    BARREL("whhgal-barrel", '\uf6f7'),
    BASECAMP("whhgal-basecamp", '\uf160'),
    BASKETBALL("whhgal-basketball", '\uf2e9'),
    BAT("whhgal-bat", '\uf3d3'),
    BATHTUB("whhgal-bathtub", '\uf49b'),
    BATMAN("whhgal-batman", '\uf348'),
    BATTERYALTCHARGING("whhgal-batteryaltcharging", '\uf104'),
    BATTERYALTFULL("whhgal-batteryaltfull", '\uf101'),
    BATTERYALTSIXTY("whhgal-batteryaltsixty", '\uf102'),
    BATTERYALTTHIRD("whhgal-batteryaltthird", '\uf103'),
    BATTERYCHARGED("whhgal-batterycharged", '\uf0f4'),
    BATTERYCHARGING("whhgal-batterycharging", '\uf0f3'),
    BATTERYEIGHTY("whhgal-batteryeighty", '\uf0f9'),
    BATTERYEMPTY("whhgal-batteryempty", '\uf0f5'),
    BATTERYFORTY("whhgal-batteryforty", '\uf0f7'),
    BATTERYFULL("whhgal-batteryfull", '\uf0fa'),
    BATTERYSIXTY("whhgal-batterysixty", '\uf0f8'),
    BATTERYTWENTY("whhgal-batterytwenty", '\uf0f6'),
    BBPRESS("whhgal-bbpress", '\uf4b7'),
    BEAKER("whhgal-beaker", '\uf672'),
    BEAKERALT("whhgal-beakeralt", '\uf673'),
    BED("whhgal-bed", '\uf2b9'),
    BEER("whhgal-beer", '\uf244'),
    BEERALT("whhgal-beeralt", '\uf5f3'),
    BEHANCE("whhgal-behance", '\uf523'),
    BELL("whhgal-bell", '\u2407'),
    BELLALT("whhgal-bellalt", '\uf76c'),
    BELT("whhgal-belt", '\uf56b'),
    BIGACE("whhgal-bigace", '\uf58a'),
    BIGGER("whhgal-bigger", '\uf30a'),
    BILL("whhgal-bill", '\uf278'),
    BINARY("whhgal-binary", '\uf087'),
    BING("whhgal-bing", '\uf546'),
    BINOCULARS_SEARCHALT("whhgal-binoculars-searchalt", '\uf2a0'),
    BIOHAZARD("whhgal-biohazard", '\uf542'),
    BIRDHOUSE("whhgal-birdhouse", '\uf390'),
    BIRTHDAY("whhgal-birthday", '\uf36b'),
    BISHOP("whhgal-bishop", '\uf2f9'),
    BITCOIN("whhgal-bitcoin", '\uf584'),
    BITCOINALT("whhgal-bitcoinalt", '\uf5e9'),
    BITCOINSQUARE("whhgal-bitcoinsquare", '\uf5e6'),
    BLACKBERRY("whhgal-blackberry", '\uf421'),
    BLANKSTARE("whhgal-blankstare", '\uf13e'),
    BLOGGER_BLOG("whhgal-blogger-blog", '\uf167'),
    BLUETOOTH("whhgal-bluetooth", '\uf12b'),
    BLUETOOTHCONNECTED("whhgal-bluetoothconnected", '\uf386'),
    BOARDGAME("whhgal-boardgame", '\uf2d9'),
    BOAT("whhgal-boat", '\uf21a'),
    BOLD("whhgal-bold", '\uf1f4'),
    BOMB("whhgal-bomb", '\uf2dc'),
    BONE("whhgal-bone", '\uf35f'),
    BOOK("whhgal-book", '\uf1ba'),
    BOOKALT("whhgal-bookalt", '\uf4a1'),
    BOOKMARK("whhgal-bookmark", '\uf143'),
    BOOKMARKALT("whhgal-bookmarkalt", '\uf4cf'),
    BOOKMARKFOUR("whhgal-bookmarkfour", '\uf5d9'),
    BOOKMARKTHREE("whhgal-bookmarkthree", '\uf5d8'),
    BOOKTHREE("whhgal-bookthree", '\uf64f'),
    BOOMBOX("whhgal-boombox", '\uf195'),
    BOTTLE("whhgal-bottle", '\uf361'),
    BOTTOMBORDER("whhgal-bottomborder", '\uf4db'),
    BOW("whhgal-bow", '\uf2ee'),
    BOWL("whhgal-bowl", '\uf7a8'),
    BOWLING("whhgal-bowling", '\uf2f3'),
    BOWLINGPINS("whhgal-bowlingpins", '\uf3d2'),
    BOWTIE("whhgal-bowtie", '\uf37f'),
    BOXBILLING("whhgal-boxbilling", '\uf5aa'),
    BOXING("whhgal-boxing", '\uf783'),
    BOXTRAPPER_MOUSETRAP("whhgal-boxtrapper-mousetrap", '\uf046'),
    BRACES("whhgal-braces", '\uf0b4'),
    BRAILLE0("whhgal-braille0", '\uf44b'),
    BRAILLE1("whhgal-braille1", '\uf44c'),
    BRAILLE2("whhgal-braille2", '\uf44d'),
    BRAILLE3("whhgal-braille3", '\uf44e'),
    BRAILLE4("whhgal-braille4", '\uf44f'),
    BRAILLE5("whhgal-braille5", '\uf450'),
    BRAILLE6("whhgal-braille6", '\uf451'),
    BRAILLE7("whhgal-braille7", '\uf452'),
    BRAILLE8("whhgal-braille8", '\uf453'),
    BRAILLE9("whhgal-braille9", '\uf454'),
    BRAILLEA("whhgal-braillea", '\uf431'),
    BRAILLEB("whhgal-brailleb", '\uf432'),
    BRAILLEC("whhgal-braillec", '\uf433'),
    BRAILLED("whhgal-brailled", '\uf434'),
    BRAILLEE("whhgal-braillee", '\uf435'),
    BRAILLEF("whhgal-braillef", '\uf436'),
    BRAILLEG("whhgal-brailleg", '\uf437'),
    BRAILLEH("whhgal-brailleh", '\uf438'),
    BRAILLEI("whhgal-braillei", '\uf439'),
    BRAILLEJ("whhgal-braillej", '\uf43a'),
    BRAILLEK("whhgal-braillek", '\uf43b'),
    BRAILLEL("whhgal-braillel", '\uf43c'),
    BRAILLEM("whhgal-braillem", '\uf43d'),
    BRAILLEN("whhgal-braillen", '\uf43e'),
    BRAILLEO("whhgal-brailleo", '\uf43f'),
    BRAILLEP("whhgal-braillep", '\uf440'),
    BRAILLEQ("whhgal-brailleq", '\uf441'),
    BRAILLER("whhgal-brailler", '\uf442'),
    BRAILLES("whhgal-brailles", '\uf443'),
    BRAILLESPACE("whhgal-braillespace", '\uf455'),
    BRAILLET("whhgal-braillet", '\uf444'),
    BRAILLEU("whhgal-brailleu", '\uf445'),
    BRAILLEV("whhgal-braillev", '\uf446'),
    BRAILLEW("whhgal-braillew", '\uf447'),
    BRAILLEX("whhgal-braillex", '\uf448'),
    BRAILLEY("whhgal-brailley", '\uf449'),
    BRAILLEZ("whhgal-braillez", '\uf44a'),
    BRAIN("whhgal-brain", '\uf3e3'),
    BRANCH("whhgal-branch", '\uf79b'),
    BREAD("whhgal-bread", '\uf42f'),
    BREAKABLE("whhgal-breakable", '\uf41c'),
    BRIEFCASE("whhgal-briefcase", '\uf25e'),
    BRIEFCASETHREE("whhgal-briefcasethree", '\uf25f'),
    BRIEFCASETWO("whhgal-briefcasetwo", '\uf0a2'),
    BRIGHTNESS("whhgal-brightness", '\uf10a'),
    BRIGHTNESSALT("whhgal-brightnessalt", '\uf7a1'),
    BRIGHTNESSALTAUTO("whhgal-brightnessaltauto", '\uf7a4'),
    BRIGHTNESSALTFULL("whhgal-brightnessaltfull", '\uf7a3'),
    BRIGHTNESSALTHALF("whhgal-brightnessalthalf", '\uf7a2'),
    BRIGHTNESSFULL("whhgal-brightnessfull", '\uf10b'),
    BRIGHTNESSHALF("whhgal-brightnesshalf", '\uf10c'),
    BRINGFORWARD("whhgal-bringforward", '\uf67f'),
    BRINGTOFRONT("whhgal-bringtofront", '\uf681'),
    BROKENHEART("whhgal-brokenheart", '\uf667'),
    BROKENLINK("whhgal-brokenlink", '\uf5d7'),
    BROOM("whhgal-broom", '\uf40a'),
    BROWSER("whhgal-browser", '\uf159'),
    BRUSH("whhgal-brush", '\uf1b8'),
    BTWOEVOLUTION("whhgal-btwoevolution", '\uf4b2'),
    BUCKET("whhgal-bucket", '\uf1b5'),
    BUG("whhgal-bug", '\uf0a7'),
    BULLET("whhgal-bullet", '\uf4f0'),
    BULLHORN("whhgal-bullhorn", '\uf287'),
    BURSTMODE("whhgal-burstmode", '\uf61c'),
    BUS("whhgal-bus", '\uf241'),
    BUSALT("whhgal-busalt", '\uf50e'),
    BUSINESSCARDALT("whhgal-businesscardalt", '\uf137'),
    BUTTERFLY("whhgal-butterfly", '\uf627'),
    BUTTERFLYALT("whhgal-butterflyalt", '\uf626'),
    BUTTONA("whhgal-buttona", '\uf2bf'),
    BUTTONB("whhgal-buttonb", '\uf2c0'),
    BUTTONX("whhgal-buttonx", '\uf2c1'),
    BUTTONY("whhgal-buttony", '\uf2c2'),
    CACTUS_DESERT("whhgal-cactus-desert", '\uf22c'),
    CALCDIVIDE("whhgal-calcdivide", '\uf574'),
    CALCEQUALS("whhgal-calcequals", '\uf575'),
    CALCMINUS("whhgal-calcminus", '\uf572'),
    CALCMULTIPLY("whhgal-calcmultiply", '\uf573'),
    CALCPLUS("whhgal-calcplus", '\uf571'),
    CALCULATOR("whhgal-calculator", '\uf258'),
    CALCULATORALT("whhgal-calculatoralt", '\uf265'),
    CALENDAR("whhgal-calendar", '\uf20f'),
    CALENDARALT_CRONJOBS("whhgal-calendaralt-cronjobs", '\uf0a1'),
    CALENDARTHREE("whhgal-calendarthree", '\uf4d0'),
    CALIGRAPHY("whhgal-caligraphy", '\uf65a'),
    CALLALT("whhgal-callalt", '\uf74d'),
    CAMCORDER("whhgal-camcorder", '\uf604'),
    CAMERA("whhgal-camera", '\uf19b'),
    CAMERAFLASH("whhgal-cameraflash", '\uf61d'),
    CAMPFIRE("whhgal-campfire", '\uf611'),
    CANDLE("whhgal-candle", '\uf29a'),
    CANDY("whhgal-candy", '\uf42d'),
    CANDYCANE("whhgal-candycane", '\uf37d'),
    CANISTER("whhgal-canister", '\uf6f8'),
    CANNON("whhgal-cannon", '\uf401'),
    CANVAS("whhgal-canvas", '\uf1c8'),
    CANVASRULERS("whhgal-canvasrulers", '\uf205'),
    CAPACITATOR("whhgal-capacitator", '\uf3e8'),
    CAPSLOCK("whhgal-capslock", '\u21ea'),
    CAPTAINAMERICA("whhgal-captainamerica", '\uf341'),
    CARBATTERY("whhgal-carbattery", '\uf553'),
    CARROT("whhgal-carrot", '\uf3f2'),
    CARTALT("whhgal-cartalt", '\uf68f'),
    CASHREGISTER("whhgal-cashregister", '\uf26e'),
    CASSETTE("whhgal-cassette", '\uf377'),
    CASSETTEALT("whhgal-cassettealt", '\uf4bd'),
    CAT("whhgal-cat", '\uf622'),
    CATFACE("whhgal-catface", '\uf601'),
    CCTV("whhgal-cctv", '\uf612'),
    CD_DVD("whhgal-cd-dvd", '\uf0cd'),
    CEILINGLIGHT("whhgal-ceilinglight", '\uf4ec'),
    CELL("whhgal-cell", '\uf66a'),
    CERTIFICATE("whhgal-certificate", '\uf277'),
    CERTIFICATEALT("whhgal-certificatealt", '\uf058'),
    CERTIFICATETHREE("whhgal-certificatethree", '\uf059'),
    CGI("whhgal-cgi", '\uf086'),
    CGICENTER("whhgal-cgicenter", '\uf079'),
    CHAIR("whhgal-chair", '\u2441'),
    CHANDELIER("whhgal-chandelier", '\uf4ed'),
    CHARLIECHAPLIN("whhgal-charliechaplin", '\uf502'),
    CHAT("whhgal-chat", '\uf162'),
    CHECK("whhgal-check", '\uf310'),
    CHECKBOXALT("whhgal-checkboxalt", '\uf311'),
    CHECKIN("whhgal-checkin", '\uf223'),
    CHECKINALT("whhgal-checkinalt", '\uf227'),
    CHEF("whhgal-chef", '\uf3ce'),
    CHERRY("whhgal-cherry", '\uf35d'),
    CHERRYALT("whhgal-cherryalt", '\uf753'),
    CHEVRONS("whhgal-chevrons", '\uf0b5'),
    CHEVRON_DOWN("whhgal-chevron-down", '\uf48b'),
    CHEVRON_LEFT("whhgal-chevron-left", '\uf489'),
    CHEVRON_RIGHT("whhgal-chevron-right", '\uf488'),
    CHEVRON_UP("whhgal-chevron-up", '\uf48a'),
    CHICKEN("whhgal-chicken", '\uf359'),
    CHICKENALT("whhgal-chickenalt", '\uf54b'),
    CHOCOLATE("whhgal-chocolate", '\uf367'),
    CHRISTIANCROSS("whhgal-christiancross", '\uf40f'),
    CHRISTMASTREE("whhgal-christmastree", '\uf37b'),
    CHROME("whhgal-chrome", '\uf14e'),
    CHURCH("whhgal-church", '\uf536'),
    CHYRP("whhgal-chyrp", '\uf4b9'),
    CIGAR("whhgal-cigar", '\uf581'),
    CIGARETTE("whhgal-cigarette", '\uf229'),
    CIRCLEA("whhgal-circlea", '\uf709'),
    CIRCLEADD("whhgal-circleadd", '\uf0d1'),
    CIRCLEB("whhgal-circleb", '\uf70a'),
    CIRCLEBACKWARD("whhgal-circlebackward", '\uf560'),
    CIRCLEBACKWARDEMPTY("whhgal-circlebackwardempty", '\uf568'),
    CIRCLEC("whhgal-circlec", '\uf70b'),
    CIRCLECALLINCOMING("whhgal-circlecallincoming", '\uf7d3'),
    CIRCLECALLMISSED("whhgal-circlecallmissed", '\uf7d2'),
    CIRCLECALLOUTGOING("whhgal-circlecalloutgoing", '\uf7d4'),
    CIRCLED("whhgal-circled", '\uf70c'),
    CIRCLEDELETE("whhgal-circledelete", '\uf0d2'),
    CIRCLEDOWN("whhgal-circledown", '\uf3c7'),
    CIRCLEDOWNLOAD("whhgal-circledownload", '\uf7d5'),
    CIRCLEDRIBBBLE("whhgal-circledribbble", '\uf7e7'),
    CIRCLEE("whhgal-circlee", '\uf70d'),
    CIRCLEEIGHT("whhgal-circleeight", '\uf707'),
    CIRCLEF("whhgal-circlef", '\uf70e'),
    CIRCLEFACEBOOK("whhgal-circlefacebook", '\uf78d'),
    CIRCLEFIVE("whhgal-circlefive", '\uf704'),
    CIRCLEFORK("whhgal-circlefork", '\uf6ac'),
    CIRCLEFORWARD("whhgal-circleforward", '\uf55f'),
    CIRCLEFORWARDEMPTY("whhgal-circleforwardempty", '\uf567'),
    CIRCLEFOUR("whhgal-circlefour", '\uf703'),
    CIRCLEG("whhgal-circleg", '\uf70f'),
    CIRCLEGITHUB("whhgal-circlegithub", '\uf78f'),
    CIRCLEGOOGLEPLUS("whhgal-circlegoogleplus", '\uf78b'),
    CIRCLEH("whhgal-circleh", '\uf710'),
    CIRCLEHAMMER("whhgal-circlehammer", '\uf6b0'),
    CIRCLEI("whhgal-circlei", '\uf711'),
    CIRCLEINSTAGRAM("whhgal-circleinstagram", '\uf7c4'),
    CIRCLEJ("whhgal-circlej", '\uf712'),
    CIRCLEK("whhgal-circlek", '\uf713'),
    CIRCLEKNIFE("whhgal-circleknife", '\uf6ae'),
    CIRCLEL("whhgal-circlel", '\uf714'),
    CIRCLELEFT("whhgal-circleleft", '\uf3c6'),
    CIRCLELOADEREMPTY("whhgal-circleloaderempty", '\uf77a'),
    CIRCLELOADERFIVE("whhgal-circleloaderfive", '\uf775'),
    CIRCLELOADERFOUR("whhgal-circleloaderfour", '\uf776'),
    CIRCLELOADERFULL("whhgal-circleloaderfull", '\uf772'),
    CIRCLELOADERONE("whhgal-circleloaderone", '\uf779'),
    CIRCLELOADERSEVEN("whhgal-circleloaderseven", '\uf773'),
    CIRCLELOADERSIX("whhgal-circleloadersix", '\uf774'),
    CIRCLELOADERTHREE("whhgal-circleloaderthree", '\uf777'),
    CIRCLELOADERTWO("whhgal-circleloadertwo", '\uf778'),
    CIRCLEM("whhgal-circlem", '\uf715'),
    CIRCLEN("whhgal-circlen", '\uf716'),
    CIRCLENEXT("whhgal-circlenext", '\uf561'),
    CIRCLENEXTEMPTY("whhgal-circlenextempty", '\uf569'),
    CIRCLENINE("whhgal-circlenine", '\uf708'),
    CIRCLEO("whhgal-circleo", '\uf717'),
    CIRCLEONE("whhgal-circleone", '\uf700'),
    CIRCLEP("whhgal-circlep", '\uf718'),
    CIRCLEPATH("whhgal-circlepath", '\uf791'),
    CIRCLEPAUSE("whhgal-circlepause", '\uf55d'),
    CIRCLEPAUSEEMPTY("whhgal-circlepauseempty", '\uf565'),
    CIRCLEPENCIL("whhgal-circlepencil", '\uf6af'),
    CIRCLEPLAY("whhgal-circleplay", '\uf55b'),
    CIRCLEPLAYEMPTY("whhgal-circleplayempty", '\uf563'),
    CIRCLEPREVIOUS("whhgal-circleprevious", '\uf562'),
    CIRCLEPREVIOUSEMPTY("whhgal-circlepreviousempty", '\uf56a'),
    CIRCLEQ("whhgal-circleq", '\uf719'),
    CIRCLEQUORA("whhgal-circlequora", '\uf799'),
    CIRCLER("whhgal-circler", '\uf71a'),
    CIRCLERECORD("whhgal-circlerecord", '\uf55e'),
    CIRCLERECORDEMPTY("whhgal-circlerecordempty", '\uf566'),
    CIRCLERIGHT("whhgal-circleright", '\uf3c9'),
    CIRCLES("whhgal-circles", '\uf71b'),
    CIRCLESCREWDRIVER("whhgal-circlescrewdriver", '\uf6b1'),
    CIRCLESELECT("whhgal-circleselect", '\uf0d3'),
    CIRCLESELECTION("whhgal-circleselection", '\uf1b1'),
    CIRCLESEVEN("whhgal-circleseven", '\uf706'),
    CIRCLESIX("whhgal-circlesix", '\uf705'),
    CIRCLESPOON("whhgal-circlespoon", '\uf6ad'),
    CIRCLESTOP("whhgal-circlestop", '\uf55c'),
    CIRCLESTOPEMPTY("whhgal-circlestopempty", '\uf564'),
    CIRCLET("whhgal-circlet", '\uf71c'),
    CIRCLETHREE("whhgal-circlethree", '\uf702'),
    CIRCLETWITTER("whhgal-circletwitter", '\uf78c'),
    CIRCLETWO("whhgal-circletwo", '\uf701'),
    CIRCLEU("whhgal-circleu", '\uf71d'),
    CIRCLEUP("whhgal-circleup", '\uf3c8'),
    CIRCLEUPLOAD("whhgal-circleupload", '\uf7d6'),
    CIRCLEV("whhgal-circlev", '\uf71e'),
    CIRCLEVIMEO("whhgal-circlevimeo", '\uf792'),
    CIRCLEVINE("whhgal-circlevine", '\uf793'),
    CIRCLEW("whhgal-circlew", '\uf71f'),
    CIRCLEX("whhgal-circlex", '\uf720'),
    CIRCLEY("whhgal-circley", '\uf721'),
    CIRCLEYAHOO("whhgal-circleyahoo", '\uf78e'),
    CIRCLEZ("whhgal-circlez", '\uf722'),
    CIRCLEZERO("whhgal-circlezero", '\uf6ff'),
    CIRCLEZERPLY("whhgal-circlezerply", '\uf79e'),
    CIRCLE_ARROW_DOWN("whhgal-circle-arrow-down", '\uf475'),
    CIRCLE_ARROW_LEFT("whhgal-circle-arrow-left", '\uf472'),
    CIRCLE_ARROW_RIGHT("whhgal-circle-arrow-right", '\uf473'),
    CIRCLE_ARROW_UP("whhgal-circle-arrow-up", '\uf474'),
    CITY("whhgal-city", '\uf576'),
    CLEARFORMATTING("whhgal-clearformatting", '\uf1e7'),
    CLIPBOARDALT("whhgal-clipboardalt", '\uf73f'),
    CLIPBOARD_PASTE("whhgal-clipboard-paste", '\uf0cb'),
    CLOCKALT_TIMEALT("whhgal-clockalt-timealt", '\uf22b'),
    CLOSETAB("whhgal-closetab", '\uf170'),
    CLOSEWINDOW("whhgal-closewindow", '\uf16e'),
    CLOUD("whhgal-cloud", '\uf0b9'),
    CLOUDALT("whhgal-cloudalt", '\uf7a9'),
    CLOUDALTDOWNLOAD("whhgal-cloudaltdownload", '\uf7aa'),
    CLOUDALTPRIVATE("whhgal-cloudaltprivate", '\uf7ad'),
    CLOUDALTSYNC("whhgal-cloudaltsync", '\uf7ac'),
    CLOUDALTUPLOAD("whhgal-cloudaltupload", '\uf7ab'),
    CLOUDDOWNLOAD("whhgal-clouddownload", '\uf0bb'),
    CLOUDERROR("whhgal-clouderror", '\uf603'),
    CLOUDHOSTING("whhgal-cloudhosting", '\uf007'),
    CLOUDSYNC("whhgal-cloudsync", '\uf0bc'),
    CLOUDUPLOAD("whhgal-cloudupload", '\uf0ba'),
    CLOVER("whhgal-clover", '\uf56f'),
    CLOVERALT("whhgal-cloveralt", '\uf744'),
    CLUBS("whhgal-clubs", '\uf2f6'),
    CMD("whhgal-cmd", '\uf33a'),
    CMS("whhgal-cms", '\uf036'),
    CMSMADESIMPLE("whhgal-cmsmadesimple", '\uf0b0'),
    COCKTAIL("whhgal-cocktail", '\uf535'),
    CODE("whhgal-code", '\uf743'),
    CODEIGNITER("whhgal-codeigniter", '\uf077'),
    COFFEE("whhgal-coffee", '\uf235'),
    COFFEEBEAN("whhgal-coffeebean", '\uf366'),
    COFFEECUPALT("whhgal-coffeecupalt", '\uf497'),
    COG("whhgal-cog", '\uf00f'),
    COINSALT("whhgal-coinsalt", '\uf5be'),
    COLLABTIVE("whhgal-collabtive", '\uf5a1'),
    COLOCATION("whhgal-colocation", '\uf024'),
    COLOCATIONALT("whhgal-colocationalt", '\uf023'),
    COLORS("whhgal-colors", '\uf1e6'),
    COMEDY("whhgal-comedy", '\uf538'),
    COMMENT("whhgal-comment", '\uf12c'),
    COMMENTLOVE("whhgal-commentlove", '\uf5dc'),
    COMMENTOUT("whhgal-commentout", '\uf080'),
    COMMENTROUND("whhgal-commentround", '\uf155'),
    COMMENTROUNDEMPTY("whhgal-commentroundempty", '\uf156'),
    COMMENTROUNDTYPING("whhgal-commentroundtyping", '\uf157'),
    COMMENTROUNDTYPINGEMPTY("whhgal-commentroundtypingempty", '\uf158'),
    COMMENTSMILEY("whhgal-commentsmiley", '\uf5dd'),
    COMMENTTYPING("whhgal-commenttyping", '\uf12d'),
    COMMIT("whhgal-commit", '\uf7bd'),
    COMMUNITY("whhgal-community", '\uf637'),
    COMMUNITYSMALL("whhgal-communitysmall", '\uf75f'),
    COMPASS("whhgal-compass", '\u263c'),
    COMPILE("whhgal-compile", '\uf650'),
    COMPRESS("whhgal-compress", '\uf7c8'),
    CONCRETEFIVE("whhgal-concretefive", '\uf0af'),
    CONNECTED("whhgal-connected", '\uf51c'),
    CONNECTEDPC("whhgal-connectedpc", '\uf51d'),
    CONSTELLATION("whhgal-constellation", '\uf6a0'),
    CONSTRUCTION("whhgal-construction", '\uf654'),
    CONTACT_BUSINESSCARD("whhgal-contact-businesscard", '\uf040'),
    CONTAO("whhgal-contao", '\uf495'),
    CONTROLLERNES("whhgal-controllernes", '\uf2d2'),
    CONTROLLERPS("whhgal-controllerps", '\uf2d1'),
    CONTROLLERSNES("whhgal-controllersnes", '\uf2d3'),
    CONTROLPANEL("whhgal-controlpanel", '\uf008'),
    CONTROLPANELALT("whhgal-controlpanelalt", '\uf009'),
    COOLING("whhgal-cooling", '\uf00a'),
    COPPERMINE("whhgal-coppermine", '\uf0a4'),
    COPY("whhgal-copy", '\uf0c9'),
    COPYAPP("whhgal-copyapp", '\uf7a7'),
    COPYRIGHT("whhgal-copyright", '\u00a9'),
    COUNTER("whhgal-counter", '\uf656'),
    COUNTERALT("whhgal-counteralt", '\uf655'),
    COUPON("whhgal-coupon", '\uf254'),
    COW("whhgal-cow", '\uf6fc'),
    CPANEL("whhgal-cpanel", '\uf072'),
    CPLUSPLUS("whhgal-cplusplus", '\uf0b1'),
    CPUALT_PROCESSORALT("whhgal-cpualt-processoralt", '\uf003'),
    CPU_PROCESSOR("whhgal-cpu-processor", '\uf002'),
    CRACKEDEGG("whhgal-crackedegg", '\uf496'),
    CRAYON("whhgal-crayon", '\uf383'),
    CREATEFILE("whhgal-createfile", '\uf0c6'),
    CREATEFOLDER("whhgal-createfolder", '\uf0da'),
    CREATIVECOMMONS("whhgal-creativecommons", '\uf1fc'),
    CREDITCARD("whhgal-creditcard", '\uf279'),
    CREEPER("whhgal-creeper", '\uf723'),
    CRICKET("whhgal-cricket", '\uf418'),
    CROISANT("whhgal-croisant", '\uf29f'),
    CROP("whhgal-crop", '\uf1af'),
    CROWN("whhgal-crown", '\uf28f'),
    CSHARP("whhgal-csharp", '\uf0b2'),
    CSSTHREE("whhgal-cssthree", '\uf06a'),
    CUBE("whhgal-cube", '\uf4ea'),
    CUCKOOCLOCK("whhgal-cuckooclock", '\uf50a'),
    CUPCAKE("whhgal-cupcake", '\uf35b'),
    CUP_COFFEEALT("whhgal-cup-coffeealt", '\uf24b'),
    CURLING("whhgal-curling", '\uf3d7'),
    CURRENTS("whhgal-currents", '\uf75e'),
    CURSOR("whhgal-cursor", '\uf0dc'),
    CUTHERE("whhgal-cuthere", '\uf5bd'),
    CUT_SCISSORS("whhgal-cut-scissors", '\uf0ca'),
    DAGGER("whhgal-dagger", '\u2020'),
    DANGER("whhgal-danger", '\uf415'),
    DART("whhgal-dart", '\uf3d4'),
    DARTHVADER("whhgal-darthvader", '\uf34a'),
    DATABASE("whhgal-database", '\uf00b'),
    DATABASEADD("whhgal-databaseadd", '\uf00c'),
    DATABASEDELETE("whhgal-databasedelete", '\uf00d'),
    DAVIDSTAR("whhgal-davidstar", '\uf40e'),
    DCSOURCE("whhgal-dcsource", '\uf3e9'),
    DEATHSTAR("whhgal-deathstar", '\uf6ef'),
    DEATHSTARBULDING("whhgal-deathstarbulding", '\uf6f0'),
    DEBUG("whhgal-debug", '\uf554'),
    DEDICATEDSERVER("whhgal-dedicatedserver", '\uf00e'),
    DEFRAGMENT("whhgal-defragment", '\uf616'),
    DELETEALARM("whhgal-deletealarm", '\uf67c'),
    DELETECOMMENT("whhgal-deletecomment", '\uf74b'),
    DELETEFILE("whhgal-deletefile", '\uf0c7'),
    DELETEFOLDER("whhgal-deletefolder", '\uf0db'),
    DELETEFOLDERALT("whhgal-deletefolderalt", '\uf73d'),
    DELICIOUS("whhgal-delicious", '\uf152'),
    DESIGN("whhgal-design", '\uf53d'),
    DESIGNCONTEST("whhgal-designcontest", '\uf351'),
    DESKLAMP("whhgal-desklamp", '\uf412'),
    DETAILS("whhgal-details", '\uf4ee'),
    DETAILSALT("whhgal-detailsalt", '\uf4ef'),
    DEVIANTART("whhgal-deviantart", '\uf521'),
    DIALPAD("whhgal-dialpad", '\uf399'),
    DIAMOND("whhgal-diamond", '\u2666'),
    DIAMONDS("whhgal-diamonds", '\uf2f7'),
    DIEFIVE("whhgal-diefive", '\uf3fb'),
    DIEFOUR("whhgal-diefour", '\uf3fa'),
    DIEONE("whhgal-dieone", '\uf3f7'),
    DIESIX("whhgal-diesix", '\uf3fc'),
    DIETHREE("whhgal-diethree", '\uf3f9'),
    DIETWO("whhgal-dietwo", '\uf3f8'),
    DIE_DICE("whhgal-die-dice", '\uf2d8'),
    DIGG("whhgal-digg", '\uf529'),
    DIODE("whhgal-diode", '\uf3e7'),
    DIRECTIONS("whhgal-directions", '\uf543'),
    DIRECTOR("whhgal-director", '\uf2ae'),
    DISKSPACE("whhgal-diskspace", '\uf096'),
    DISTRIBUTEHORIZONTALCENTERS("whhgal-distributehorizontalcenters", '\uf1dc'),
    DISTRIBUTEVERTICALCENTERS("whhgal-distributeverticalcenters", '\uf1db'),
    DIVIDE("whhgal-divide", '\u00f7'),
    DNA("whhgal-dna", '\uf409'),
    DNSZONE("whhgal-dnszone", '\uf07f'),
    DOCUMENT("whhgal-document", '\uf0c2'),
    DOG("whhgal-dog", '\uf623'),
    DOGHOUSE("whhgal-doghouse", '\uf38f'),
    DOLLAR("whhgal-dollar", '\u0024'),
    DOLLARALT("whhgal-dollaralt", '\uf259'),
    DOLLARSQUARE("whhgal-dollarsquare", '\uf5e2'),
    DOLPHINSOFTWARE("whhgal-dolphinsoftware", '\uf064'),
    DOMAIN("whhgal-domain", '\uf01d'),
    DOMAINADDON("whhgal-domainaddon", '\uf053'),
    DOMINO("whhgal-domino", '\uf3d5'),
    DOMINOEIGHT("whhgal-dominoeight", '\uf51a'),
    DOMINOFIVE("whhgal-dominofive", '\uf517'),
    DOMINOFOUR("whhgal-dominofour", '\uf516'),
    DOMINONINE("whhgal-dominonine", '\uf51b'),
    DOMINOONE("whhgal-dominoone", '\uf513'),
    DOMINOSEVEN("whhgal-dominoseven", '\uf519'),
    DOMINOSIX("whhgal-dominosix", '\uf518'),
    DOMINOTHREE("whhgal-dominothree", '\uf515'),
    DOMINOTWO("whhgal-dominotwo", '\uf514'),
    DONOTDISTURB("whhgal-donotdisturb", '\uf550'),
    DONUT("whhgal-donut", '\uf3ca'),
    DOTCLEAR("whhgal-dotclear", '\uf4aa'),
    DOTLIST("whhgal-dotlist", '\uf4c2'),
    DOTPROJECT("whhgal-dotproject", '\uf5a0'),
    DOUBLETAP("whhgal-doubletap", '\uf7d0'),
    DOWNLEFT("whhgal-downleft", '\uf2ff'),
    DOWNLOAD("whhgal-download", '\uf47b'),
    DOWNLOAD_ALT("whhgal-download-alt", '\uf11a'),
    DOWNRIGHT("whhgal-downright", '\uf300'),
    DRAFT("whhgal-draft", '\uf172'),
    DREAMWEAVER("whhgal-dreamweaver", '\uf1d0'),
    DRIBBBLE("whhgal-dribbble", '\uf14c'),
    DRIBBBLEALT("whhgal-dribbblealt", '\uf7d1'),
    DRILL("whhgal-drill", '\uf613'),
    DRMANHATTAN("whhgal-drmanhattan", '\uf68a'),
    DROPBOX("whhgal-dropbox", '\uf582'),
    DROPMENU("whhgal-dropmenu", '\uf0a5'),
    DRUPAL("whhgal-drupal", '\uf075'),
    DRWHO("whhgal-drwho", '\uf3c0'),
    DUCKY("whhgal-ducky", '\uf7ca'),
    EARBUDS("whhgal-earbuds", '\uf526'),
    EARBUDSALT("whhgal-earbudsalt", '\uf525'),
    EDIT("whhgal-edit", '\uf47c'),
    EDITALT("whhgal-editalt", '\uf0f2'),
    EGG("whhgal-egg", '\uf407'),
    EGGPLANT("whhgal-eggplant", '\uf632'),
    EGYPTPYRAMID("whhgal-egyptpyramid", '\uf75b'),
    EIGHTBALL("whhgal-eightball", '\uf36e'),
    EJECT("whhgal-eject", '\uf199'),
    ELEMENTARYOS("whhgal-elementaryos", '\uf65e'),
    ELEVATOR("whhgal-elevator", '\uf57e'),
    ELGG("whhgal-elgg", '\uf594'),
    ELIPSE("whhgal-elipse", '\uf1bc'),
    EMAILALT("whhgal-emailalt", '\uf136'),
    EMAILEXPORT("whhgal-emailexport", '\uf176'),
    EMAILFORWARD("whhgal-emailforward", '\uf175'),
    EMAILFORWARDERS("whhgal-emailforwarders", '\uf049'),
    EMAILIMPORT("whhgal-emailimport", '\uf177'),
    EMAILREFRESH("whhgal-emailrefresh", '\uf174'),
    EMAILTRACE("whhgal-emailtrace", '\uf091'),
    EMERGENCY("whhgal-emergency", '\uf246'),
    EMOJIANGRY("whhgal-emojiangry", '\uf6a3'),
    EMOJICONFUSED("whhgal-emojiconfused", '\uf6a9'),
    EMOJICRY("whhgal-emojicry", '\uf6ab'),
    EMOJIDEAD("whhgal-emojidead", '\uf6a2'),
    EMOJIDEVIL("whhgal-emojidevil", '\uf6a4'),
    EMOJIGRIN("whhgal-emojigrin", '\uf69f'),
    EMOJIGRINALT("whhgal-emojigrinalt", '\uf69e'),
    EMOJISLEEP("whhgal-emojisleep", '\uf6aa'),
    EMOJISMILE("whhgal-emojismile", '\uf6a7'),
    EMOJISORRY("whhgal-emojisorry", '\uf6a8'),
    EMOJISURPRISE("whhgal-emojisurprise", '\uf6a1'),
    EMOJIWINK("whhgal-emojiwink", '\uf6a5'),
    EMPTYCART("whhgal-emptycart", '\uf395'),
    EMPTYSTAR("whhgal-emptystar", '\uf2de'),
    ENTER("whhgal-enter", '\uf323'),
    ENTERALT("whhgal-enteralt", '\uf68d'),
    ENVELOPE("whhgal-envelope", '\uf028'),
    EONEOHSEVEN("whhgal-eoneohseven", '\uf48e'),
    EQUALIZER("whhgal-equalizer", '\uf18e'),
    EQUALIZERALT("whhgal-equalizeralt", '\uf18f'),
    EQUALIZERTHREE("whhgal-equalizerthree", '\uf544'),
    EQUALS("whhgal-equals", '\uf30c'),
    ERASER("whhgal-eraser", '\uf1f1'),
    ERRORALT("whhgal-erroralt", '\uf05a'),
    ESCALATOR("whhgal-escalator", '\uf57f'),
    ETANO("whhgal-etano", '\uf595'),
    EURO("whhgal-euro", '\u20ac'),
    EUROALT("whhgal-euroalt", '\uf25a'),
    EUROSQUARE("whhgal-eurosquare", '\uf5e5'),
    EVENT("whhgal-event", '\uf63b'),
    EVENTUM("whhgal-eventum", '\uf5a4'),
    EVERNOTE("whhgal-evernote", '\uf17c'),
    EXCHANGE_CURRENCY("whhgal-exchange-currency", '\uf26b'),
    EXCLAMATION_SIGN("whhgal-exclamation-sign", '\uf04a'),
    EXCLUDESHAPE("whhgal-excludeshape", '\uf200'),
    EXIT("whhgal-exit", '\uf324'),
    EXITALT("whhgal-exitalt", '\uf68e'),
    EXPLORERWINDOW("whhgal-explorerwindow", '\uf0d9'),
    EXPORT("whhgal-export", '\uf751'),
    EXPORTFILE("whhgal-exportfile", '\uf32f'),
    EXPOSURE("whhgal-exposure", '\uf1de'),
    EXTINGUISHER("whhgal-extinguisher", '\uf2b7'),
    EXTJS("whhgal-extjs", '\uf5b8'),
    EYEDROPPER("whhgal-eyedropper", '\uf1ad'),
    EYEOS("whhgal-eyeos", '\uf59f'),
    EYE_CLOSE("whhgal-eye-close", '\uf481'),
    EYE_OPEN("whhgal-eye-open", '\uf2b5'),
    EYE_VIEW("whhgal-eye-view", '\uf280'),
    FACEBOOK("whhgal-facebook", '\uf140'),
    FACEBOOKALT("whhgal-facebookalt", '\uf14b'),
    FACETIME_VIDEO("whhgal-facetime-video", '\uf19c'),
    FACTORY("whhgal-factory", '\uf27a'),
    FALLINGSTAR("whhgal-fallingstar", '\uf6f1'),
    FAN("whhgal-fan", '\uf66f'),
    FANTASTICO("whhgal-fantastico", '\uf0ae'),
    FAQ("whhgal-faq", '\uf099'),
    FASTDOWN("whhgal-fastdown", '\uf31d'),
    FASTLEFT("whhgal-fastleft", '\uf31a'),
    FASTRIGHT("whhgal-fastright", '\uf31b'),
    FASTUP("whhgal-fastup", '\uf31c'),
    FAST_BACKWARD("whhgal-fast-backward", '\uf47e'),
    FAST_FORWARD("whhgal-fast-forward", '\uf47f'),
    FATARROWDOWN("whhgal-fatarrowdown", '\uf506'),
    FATARROWLEFT("whhgal-fatarrowleft", '\uf505'),
    FATARROWRIGHT("whhgal-fatarrowright", '\uf504'),
    FATARROWUP("whhgal-fatarrowup", '\uf507'),
    FATREDO("whhgal-fatredo", '\uf692'),
    FATUNDO("whhgal-fatundo", '\uf691'),
    FAVORITEFILE("whhgal-favoritefile", '\uf381'),
    FAVORITEFOLDER("whhgal-favoritefolder", '\uf382'),
    FBDISLIKE("whhgal-fbdislike", '\uf4c7'),
    FBLIKE("whhgal-fblike", '\uf4c6'),
    FEATHERALT_WRITE("whhgal-featheralt-write", '\uf1c5'),
    FEDORA("whhgal-fedora", '\uf3f1'),
    FEEDLY("whhgal-feedly", '\uf693'),
    FEEDLYALT("whhgal-feedlyalt", '\uf694'),
    FENCE("whhgal-fence", '\uf2af'),
    FENGOFFICE("whhgal-fengoffice", '\uf59e'),
    FILE("whhgal-file", '\uf0d6'),
    FILM("whhgal-film", '\uf19d'),
    FILMSTRIP("whhgal-filmstrip", '\uf3ed'),
    FILTER("whhgal-filter", '\uf05c'),
    FINANCE("whhgal-finance", '\uf6b8'),
    FINDER("whhgal-finder", '\uf398'),
    FINDFRIENDS("whhgal-findfriends", '\uf54d'),
    FIRE("whhgal-fire", '\uf27f'),
    FIREFOX("whhgal-firefox", '\uf420'),
    FIREPLACE("whhgal-fireplace", '\uf53f'),
    FIREWALL("whhgal-firewall", '\uf021'),
    FIREWIRE("whhgal-firewire", '\uf0fc'),
    FIRSTAID("whhgal-firstaid", '\uf2ba'),
    FISH("whhgal-fish", '\uf35a'),
    FISHBONE("whhgal-fishbone", '\uf42b'),
    FLAG("whhgal-flag", '\uf487'),
    FLAGALT("whhgal-flagalt", '\uf232'),
    FLAGTRIANGLE("whhgal-flagtriangle", '\uf20b'),
    FLASH("whhgal-flash", '\uf1cf'),
    FLASHLIGHT("whhgal-flashlight", '\uf299'),
    FLASHLIGHTALT("whhgal-flashlightalt", '\uf610'),
    FLASHPLAYER("whhgal-flashplayer", '\uf070'),
    FLASKFULL("whhgal-flaskfull", '\uf27e'),
    FLICKR("whhgal-flickr", '\uf146'),
    FLICKRALT("whhgal-flickralt", '\uf57c'),
    FLICKRTHREE("whhgal-flickrthree", '\uf796'),
    FLIPBOARD("whhgal-flipboard", '\uf7ae'),
    FLIPHORIZONTAL("whhgal-fliphorizontal", '\uf652'),
    FLIPVERTICAL("whhgal-flipvertical", '\uf653'),
    FLOWDOWN("whhgal-flowdown", '\uf63f'),
    FLOWER("whhgal-flower", '\uf2a5'),
    FLOWERNEW("whhgal-flowernew", '\uf3a8'),
    FLOWERPOT("whhgal-flowerpot", '\uf615'),
    FLOWUP("whhgal-flowup", '\uf63e'),
    FLUXBB("whhgal-fluxbb", '\uf58e'),
    FOLDERALT("whhgal-folderalt", '\uf73a'),
    FOLDERTREE("whhgal-foldertree", '\uf0f0'),
    FOLDER_CLOSE("whhgal-folder-close", '\uf094'),
    FOLDER_OPEN("whhgal-folder-open", '\uf483'),
    FONT("whhgal-font", '\uf1ae'),
    FONTCALIGRAPHY("whhgal-fontcaligraphy", '\uf7f1'),
    FONTCASE("whhgal-fontcase", '\uf4e8'),
    FONTCOMIC("whhgal-fontcomic", '\uf7f0'),
    FONTGOTHIC("whhgal-fontgothic", '\uf7f2'),
    FONTHANDWRITING("whhgal-fonthandwriting", '\uf7ee'),
    FONTROUNDED("whhgal-fontrounded", '\uf7ed'),
    FONTSANSSERIF("whhgal-fontsansserif", '\uf7ec'),
    FONTSERIF("whhgal-fontserif", '\uf7eb'),
    FONTSTENCIL("whhgal-fontstencil", '\uf7f3'),
    FONTTYPEWRITER("whhgal-fonttypewriter", '\uf7ef'),
    FOODTRAY("whhgal-foodtray", '\uf3d0'),
    FOOTBALL_SOCCER("whhgal-football-soccer", '\uf2eb'),
    FORBIDDEN("whhgal-forbidden", '\uf314'),
    FORBIDDENALT("whhgal-forbiddenalt", '\uf314'),
    FORESTALT_TREEALT("whhgal-forestalt-treealt", '\uf21c'),
    FOREST_TREE("whhgal-forest-tree", '\uf217'),
    FORK("whhgal-fork", '\u22d4'),
    FORKCMS("whhgal-forkcms", '\uf588'),
    FORKLIFT("whhgal-forklift", '\uf29b'),
    FORM("whhgal-form", '\uf08c'),
    FORRST("whhgal-forrst", '\uf14d'),
    FORT("whhgal-fort", '\uf400'),
    FORUMSALT("whhgal-forumsalt", '\uf790'),
    FORWARD("whhgal-forward", '\uf182'),
    FOUNTAIN("whhgal-fountain", '\uf6fe'),
    FOURG("whhgal-fourg", '\uf770'),
    FOURIMAGES("whhgal-fourimages", '\uf591'),
    FOUROHFOUR("whhgal-fourohfour", '\uf09d'),
    FOURSQUARE("whhgal-foursquare", '\uf42a'),
    FOURSQUAREALT("whhgal-foursquarealt", '\uf68b'),
    FREEWAY("whhgal-freeway", '\uf24a'),
    FRIDGE("whhgal-fridge", '\uf40d'),
    FRIES("whhgal-fries", '\uf36a'),
    FTP("whhgal-ftp", '\uf029'),
    FTPACCOUNTS("whhgal-ftpaccounts", '\uf07b'),
    FTPSESSION("whhgal-ftpsession", '\uf07c'),
    FUELPHP("whhgal-fuelphp", '\uf5b2'),
    FULLBORDERS("whhgal-fullborders", '\uf4e3'),
    FULLSCREEN("whhgal-fullscreen", '\uf485'),
    FULLSTAR("whhgal-fullstar", '\uf2e0'),
    FX("whhgal-fx", '\uf607'),
    GALAXY("whhgal-galaxy", '\uf6e1'),
    GALAXYALT("whhgal-galaxyalt", '\uf6ea'),
    GAMEBOY("whhgal-gameboy", '\uf403'),
    GAMECURSOR("whhgal-gamecursor", '\uf2d0'),
    GARAGE("whhgal-garage", '\uf5ee'),
    GASSTATION("whhgal-gasstation", '\uf216'),
    GAVEL("whhgal-gavel", '\uf5ea'),
    GEARFOUR("whhgal-gearfour", '\uf3a7'),
    GENDER("whhgal-gender", '\uf74c'),
    GHOST("whhgal-ghost", '\uf2da'),
    GIFT("whhgal-gift", '\uf260'),
    GITHUB("whhgal-github", '\uf081'),
    GLASS("whhgal-glass", '\uf236'),
    GLASSES("whhgal-glasses", '\uf295'),
    GLASSESALT("whhgal-glassesalt", '\uf39d'),
    GLOBE("whhgal-globe", '\uf01b'),
    GLOBEALT("whhgal-globealt", '\uf36c'),
    GLUE("whhgal-glue", '\uf36d'),
    GMAIL("whhgal-gmail", '\uf150'),
    GOLF("whhgal-golf", '\uf2f1'),
    GOOGLE("whhgal-google", '\uf69d'),
    GOOGLEDRIVE("whhgal-googledrive", '\uf163'),
    GOOGLEGLASS("whhgal-googleglass", '\uf677'),
    GOOGLEPLUS("whhgal-googleplus", '\uf165'),
    GOOGLEPLUSOLD("whhgal-googleplusold", '\uf639'),
    GOOGLEWALLET("whhgal-googlewallet", '\uf270'),
    GPSALT("whhgal-gpsalt", '\uf771'),
    GPSOFF_GPS("whhgal-gpsoff-gps", '\uf21e'),
    GPSON("whhgal-gpson", '\uf21f'),
    GPU_GRAPHICSCARD("whhgal-gpu-graphicscard", '\uf108'),
    GRADIENT("whhgal-gradient", '\u2207'),
    GRAILS("whhgal-grails", '\uf085'),
    GRAMOPHONE("whhgal-gramophone", '\uf608'),
    GRAPES("whhgal-grapes", '\uf541'),
    GRAVE("whhgal-grave", '\uf684'),
    GRAVEFOUR("whhgal-gravefour", '\uf687'),
    GRAVETHREE("whhgal-gravethree", '\uf686'),
    GRAVETWO("whhgal-gravetwo", '\uf685'),
    GREEKCOLUMN("whhgal-greekcolumn", '\uf5e0'),
    GREENLANTERN("whhgal-greenlantern", '\uf340'),
    GREENLIGHTBULB("whhgal-greenlightbulb", '\uf406'),
    GROOVESHARK("whhgal-grooveshark", '\uf3a2'),
    GROUPS_FRIENDS("whhgal-groups-friends", '\uf134'),
    GUITAR("whhgal-guitar", '\uf19a'),
    GUN("whhgal-gun", '\uf4f1'),
    HALFLIFE("whhgal-halflife", '\uf3ba'),
    HALFSTAR("whhgal-halfstar", '\uf2df'),
    HALO("whhgal-halo", '\uf3bb'),
    HAMBURGER("whhgal-hamburger", '\uf2b3'),
    HAMMER("whhgal-hammer", '\uf291'),
    HAMMERALT("whhgal-hammeralt", '\uf649'),
    HANDCUFFS("whhgal-handcuffs", '\uf393'),
    HANDDRAG("whhgal-handdrag", '\uf0de'),
    HANDEXPAND("whhgal-handexpand", '\uf7e9'),
    HANDPINCH("whhgal-handpinch", '\uf7ea'),
    HANDSWIPE("whhgal-handswipe", '\uf7cb'),
    HANDTWOFINGERS("whhgal-handtwofingers", '\uf0df'),
    HAND_DOWN("whhgal-hand-down", '\uf387'),
    HAND_LEFT("whhgal-hand-left", '\uf389'),
    HAND_RIGHT("whhgal-hand-right", '\uf388'),
    HAND_UP("whhgal-hand-up", '\uf0dd'),
    HANGER("whhgal-hanger", '\uf2ab'),
    HANGOUT("whhgal-hangout", '\uf671'),
    HANGOUTS("whhgal-hangouts", '\uf6ba'),
    HAPPY("whhgal-happy", '\uf13c'),
    HARRYPOTTER("whhgal-harrypotter", '\uf38b'),
    HASHTAG("whhgal-hashtag", '\uf68c'),
    HDD("whhgal-hdd", '\uf02a'),
    HDDALT("whhgal-hddalt", '\uf60a'),
    HDTV("whhgal-hdtv", '\uf1a0'),
    HDVIDEO("whhgal-hdvideo", '\uf577'),
    HEADPHONES("whhgal-headphones", '\uf180'),
    HEADPHONESALT("whhgal-headphonesalt", '\uf1a3'),
    HEADPHONESTHREE("whhgal-headphonesthree", '\uf66e'),
    HEART("whhgal-heart", '\uf131'),
    HEARTARROW("whhgal-heartarrow", '\uf668'),
    HEARTEMPTY_LOVE("whhgal-heartempty-love", '\uf132'),
    HEARTS("whhgal-hearts", '\uf2f4'),
    HEARTSPARKLE("whhgal-heartsparkle", '\uf669'),
    HEAVYMETAL("whhgal-heavymetal", '\uf6b3'),
    HELICOPTER("whhgal-helicopter", '\uf3e4'),
    HEXAGON_POLYGON("whhgal-hexagon-polygon", '\uf1be'),
    HISTORY("whhgal-history", '\uf764'),
    HOCKEY("whhgal-hockey", '\uf3d9'),
    HOME("whhgal-home", '\u21b8'),
    HOMEALT("whhgal-homealt", '\uf02b'),
    HONEYCOMB("whhgal-honeycomb", '\uf4a6'),
    HORIZONTALBORDER("whhgal-horizontalborder", '\uf4df'),
    HORIZONTALCONTRACT("whhgal-horizontalcontract", '\uf579'),
    HORIZONTALEXPAND("whhgal-horizontalexpand", '\uf578'),
    HOSPITAL("whhgal-hospital", '\uf247'),
    HOT("whhgal-hot", '\uf63d'),
    HOTDOG("whhgal-hotdog", '\uf3cc'),
    HOTLINKPROTECTION("whhgal-hotlinkprotection", '\uf050'),
    HOURGLASSALT("whhgal-hourglassalt", '\uf122'),
    HOUSE("whhgal-house", '\uf5ed'),
    HRYVNIA("whhgal-hryvnia", '\uf5f0'),
    HRYVNIAALT("whhgal-hryvniaalt", '\uf5f2'),
    HRYVNIASQUARE("whhgal-hryvniasquare", '\uf5f1'),
    HTML("whhgal-html", '\uf068'),
    HTMLFILE("whhgal-htmlfile", '\uf7be'),
    HTMLFIVE("whhgal-htmlfive", '\uf069'),
    HYDRANT("whhgal-hydrant", '\uf3ff'),
    ICECREAM("whhgal-icecream", '\uf2a4'),
    ICECREAMALT("whhgal-icecreamalt", '\uf289'),
    ICECREAMTHREE("whhgal-icecreamthree", '\uf65b'),
    ILLUSTRATOR("whhgal-illustrator", '\uf1ce'),
    IMAC("whhgal-imac", '\uf0fb'),
    IMAGES_GALLERY("whhgal-images-gallery", '\uf09f'),
    IMPORT("whhgal-import", '\uf752'),
    IMPORTCONTACTS("whhgal-importcontacts", '\uf092'),
    IMPORTFILE("whhgal-importfile", '\uf32e'),
    IMPRESSCMS("whhgal-impresscms", '\uf4ab'),
    IMPRESSPAGES("whhgal-impresspages", '\uf4ad'),
    INBOX("whhgal-inbox", '\uf17a'),
    INBOXALT("whhgal-inboxalt", '\uf178'),
    INCOMINGCALL("whhgal-incomingcall", '\uf15d'),
    INCOMINGCALLALT("whhgal-incomingcallalt", '\uf74f'),
    INDENTLEFT("whhgal-indentleft", '\uf4c4'),
    INDENTLEFTALT("whhgal-indentleftalt", '\uf4c4'),
    INDENTRIGHT("whhgal-indentright", '\uf4c5'),
    INDENTRIGHTALT("whhgal-indentrightalt", '\uf4c5'),
    INDENT_LEFT("whhgal-indent-left", '\uf1f2'),
    INDENT_RIGHT("whhgal-indent-right", '\uf1f3'),
    INDEXMANAGER("whhgal-indexmanager", '\uf09e'),
    INFINITY("whhgal-infinity", '\u221e'),
    INFINITYALT("whhgal-infinityalt", '\uf7b9'),
    INFOGRAPHIC("whhgal-infographic", '\uf336'),
    INFO_SIGN("whhgal-info-sign", '\uf315'),
    INGRESS("whhgal-ingress", '\uf79c'),
    INK("whhgal-ink", '\uf3f6'),
    INKPEN("whhgal-inkpen", '\uf1ac'),
    INNERBORDERS("whhgal-innerborders", '\uf4e2'),
    INSERTBARCHART("whhgal-insertbarchart", '\uf1e5'),
    INSERTPICTURE("whhgal-insertpicture", '\uf1e0'),
    INSERTPICTURECENTER("whhgal-insertpicturecenter", '\uf1e3'),
    INSERTPICTURELEFT("whhgal-insertpictureleft", '\uf1e1'),
    INSERTPICTURERIGHT("whhgal-insertpictureright", '\uf1e2'),
    INSERTPIECHART("whhgal-insertpiechart", '\uf1e4'),
    INSTAGRAM("whhgal-instagram", '\uf14a'),
    INSTAGRAMFOUR("whhgal-instagramfour", '\uf7c3'),
    INSTAGRAMTHREE("whhgal-instagramthree", '\uf795'),
    INSTAGRAMTWO("whhgal-instagramtwo", '\uf794'),
    INSTALL("whhgal-install", '\uf128'),
    INTEL("whhgal-intel", '\uf01f'),
    INTERSECTION("whhgal-intersection", '\u2229'),
    INTERSECTSHAPE("whhgal-intersectshape", '\uf1ff'),
    INVERT("whhgal-invert", '\uf1df'),
    INVOICE("whhgal-invoice", '\uf3e5'),
    IPCONTROL("whhgal-ipcontrol", '\uf08b'),
    IPHONE("whhgal-iphone", '\uf0e6'),
    IPOD("whhgal-ipod", '\uf190'),
    IRONMAN("whhgal-ironman", '\uf349'),
    ISLAM("whhgal-islam", '\uf410'),
    ISLAND("whhgal-island", '\uf392'),
    ISSUE("whhgal-issue", '\uf766'),
    ISSUECLOSED("whhgal-issueclosed", '\uf767'),
    ISSUEREOPENED("whhgal-issuereopened", '\uf768'),
    ITALIC("whhgal-italic", '\uf1f5'),
    JAR("whhgal-jar", '\uf2b6'),
    JASON("whhgal-jason", '\uf38c'),
    JAVA("whhgal-java", '\uf083'),
    JCORE("whhgal-jcore", '\uf4b0'),
    JCOW("whhgal-jcow", '\uf593'),
    JERSEY("whhgal-jersey", '\uf5c4'),
    JOOMLA("whhgal-joomla", '\uf073'),
    JOYSTICKARCADE("whhgal-joystickarcade", '\uf2d4'),
    JOYSTICKATARI("whhgal-joystickatari", '\uf2d5'),
    JQUERY("whhgal-jquery", '\uf06b'),
    JQUERYUI("whhgal-jqueryui", '\uf06c'),
    KERNING("whhgal-kerning", '\uf1e9'),
    KEY("whhgal-key", '\uf093'),
    KEYBOARD("whhgal-keyboard", '\uf119'),
    KEYBOARDALT("whhgal-keyboardalt", '\uf105'),
    KEYBOARDDELETE("whhgal-keyboarddelete", '\uf3a6'),
    KIDNEY("whhgal-kidney", '\uf3e0'),
    KIMAI("whhgal-kimai", '\uf755'),
    KING("whhgal-king", '\uf2fc'),
    KISS("whhgal-kiss", '\uf746'),
    KIWI("whhgal-kiwi", '\uf62b'),
    KIWIFRUIT("whhgal-kiwifruit", '\uf62c'),
    KNIFE("whhgal-knife", '\uf214'),
    KNIGHT("whhgal-knight", '\uf2fb'),
    KNOB("whhgal-knob", '\uf376'),
    KOALA("whhgal-koala", '\uf625'),
    KOHANA("whhgal-kohana", '\uf5b3'),
    LAB_FLASK("whhgal-lab-flask", '\uf27d'),
    LAMP("whhgal-lamp", '\uf2b1'),
    LAMPALT("whhgal-lampalt", '\uf614'),
    LAN("whhgal-lan", '\uf0ee'),
    LANGUAGE("whhgal-language", '\uf042'),
    LAPTOP("whhgal-laptop", '\uf0d8'),
    LASSO("whhgal-lasso", '\uf396'),
    LASTFM("whhgal-lastfm", '\uf3a3'),
    LAUGH("whhgal-laugh", '\uf13f'),
    LAW("whhgal-law", '\uf263'),
    LAYERORDER("whhgal-layerorder", '\uf7e6'),
    LAYERORDERDOWN("whhgal-layerorderdown", '\uf7e5'),
    LAYERORDERUP("whhgal-layerorderup", '\uf7e4'),
    LAYERS("whhgal-layers", '\uf1ca'),
    LAYERSALT("whhgal-layersalt", '\uf1cb'),
    LAYERSTHREE("whhgal-layersthree", '\uf788'),
    LEAF("whhgal-leaf", '\uf039'),
    LEATHER("whhgal-leather", '\uf558'),
    LEECHPROTECT("whhgal-leechprotect", '\uf07e'),
    LEFTBORDER("whhgal-leftborder", '\uf4dd'),
    LEGACYFILEMANAGER("whhgal-legacyfilemanager", '\uf095'),
    LEGO("whhgal-lego", '\uf370'),
    LEMON("whhgal-lemon", '\uf62d'),
    LENS("whhgal-lens", '\uf50b'),
    LIFEEMPTY("whhgal-lifeempty", '\uf2e1'),
    LIFEFULL("whhgal-lifefull", '\uf2e3'),
    LIFEHACKER("whhgal-lifehacker", '\uf380'),
    LIFEHALF("whhgal-lifehalf", '\uf2e2'),
    LIFEPRESERVER("whhgal-lifepreserver", '\uf015'),
    LIGHTBULB_IDEA("whhgal-lightbulb-idea", '\uf338'),
    LIGHTHOUSE("whhgal-lighthouse", '\uf3e6'),
    LIGHTNING("whhgal-lightning", '\uf231'),
    LIGHTNINGALT("whhgal-lightningalt", '\uf2a8'),
    LIGHTOFF("whhgal-lightoff", '\uf76b'),
    LIGHTON("whhgal-lighton", '\uf76a'),
    LIMESURVEY("whhgal-limesurvey", '\uf59d'),
    LINE("whhgal-line", '\uf1bf'),
    LINEHEIGHT("whhgal-lineheight", '\uf1c0'),
    LINK("whhgal-link", '\uf022'),
    LINKALT("whhgal-linkalt", '\uf333'),
    LINKEDIN("whhgal-linkedin", '\uf166'),
    LINUX("whhgal-linux", '\uf01a'),
    LIPS("whhgal-lips", '\uf745'),
    LIPSTICK("whhgal-lipstick", '\uf50f'),
    LIST("whhgal-list", '\uf111'),
    LIST_ALT("whhgal-list-alt", '\uf480'),
    LIVEJOURNAL("whhgal-livejournal", '\uf756'),
    LIVEJOURNALALT("whhgal-livejournalalt", '\uf757'),
    LIVER("whhgal-liver", '\uf3e2'),
    LOADINGALT("whhgal-loadingalt", '\uf339'),
    LOADINGEIGHT("whhgal-loadingeight", '\uf666'),
    LOADINGFIVE("whhgal-loadingfive", '\uf663'),
    LOADINGFLOWCCW("whhgal-loadingflowccw", '\uf741'),
    LOADINGFLOWCW("whhgal-loadingflowcw", '\uf742'),
    LOADINGFOUR("whhgal-loadingfour", '\uf662'),
    LOADINGONE("whhgal-loadingone", '\uf65f'),
    LOADINGSEVEN("whhgal-loadingseven", '\uf665'),
    LOADINGSIX("whhgal-loadingsix", '\uf664'),
    LOADINGTHREE("whhgal-loadingthree", '\uf661'),
    LOADINGTWO("whhgal-loadingtwo", '\uf660'),
    LOADING_HOURGLASS("whhgal-loading-hourglass", '\uf123'),
    LOCK("whhgal-lock", '\uf0be'),
    LOCKALT_KEYHOLE("whhgal-lockalt-keyhole", '\uf0eb'),
    LOLLYPOP("whhgal-lollypop", '\uf3ee'),
    LUNGS("whhgal-lungs", '\uf3df');

    public static WhhgAL findByDescription(String description) {
        for (WhhgAL font : values()) {
            if (font.getDescription().equals(description)) {
                return font;
            }
        }
        throw new IllegalArgumentException("Icon description '" + description + "' is invalid!");
    }

    private String description;
    private int code;

    WhhgAL(String description, int code) {
        this.description = description;
        this.code = code;
    }

    @Override
    public String getDescription() {
        return description;
    }

    @Override
    public int getCode() {
        return code;
    }
}